Page MenuHomePhabricator

Error: yargs supports a minimum Node.js version of 12
Closed, ResolvedPublic

Description

After updating @wdio packages to v7.12, the CI breaks with Error: yargs supports a minimum Node.js version of 12.

Full Jenkins job output.

1Started by user unknown or anonymous
2Running as SYSTEM
3Building remotely on integration-agent-docker-1011 (pipelinelib Docker blubber) in workspace /srv/jenkins/workspace/workspace/wmf-quibble-selenium-php72-docker
4[wmf-quibble-selenium-php72-docker] $ /bin/bash -xe /tmp/jenkins14653389302147165382.sh
5+ mkdir -m 2777 -p cache
6[wmf-quibble-selenium-php72-docker] $ /bin/bash /tmp/jenkins11451714332643317091.sh
7+ set -o pipefail
8++ pwd
9+ exec docker run --volume /srv/jenkins/workspace/workspace/wmf-quibble-selenium-php72-docker/cache:/cache --security-opt seccomp=unconfined --init --rm --label jenkins.job=wmf-quibble-selenium-php72-docker --label jenkins.build=112925 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/castor:0.2.4 load
10++ /usr/bin/env
11++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
12Defined: CASTOR_NAMESPACE="mediawiki-core/master/wmf-quibble-selenium-php72-docker"
13Syncing...
14rsync: failed to set times on "/cache/.": Operation not permitted (1)
15rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1668) [generator=3.1.2]
16
17Done
18[wmf-quibble-selenium-php72-docker] $ /bin/bash -xe /tmp/jenkins2124483052976473753.sh
19+ set -eux
20+ mkdir -m 2777 -p log
21[wmf-quibble-selenium-php72-docker] $ /bin/bash /tmp/jenkins8642255706683019803.sh
22+ set -o pipefail
23+ exec docker run --user=nobody --volume /srv/jenkins/workspace/workspace/wmf-quibble-selenium-php72-docker:/workspace --entrypoint=/usr/bin/find --security-opt seccomp=unconfined --init --rm --label jenkins.job=wmf-quibble-selenium-php72-docker --label jenkins.build=112925 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest /workspace/log -mindepth 1 -delete
24++ /usr/bin/env
25++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
26[wmf-quibble-selenium-php72-docker] $ /bin/bash /tmp/jenkins14876292471046760382.sh
27+ set -o pipefail
28++ pwd
29++ pwd
30+ exec docker run --volume /srv/git:/srv/git:ro --tmpfs /workspace/db:size=320M --volume /srv/jenkins/workspace/workspace/wmf-quibble-selenium-php72-docker/cache:/cache --volume /srv/jenkins/workspace/workspace/wmf-quibble-selenium-php72-docker/log:/workspace/log --security-opt seccomp=unconfined --init --rm --label jenkins.job=wmf-quibble-selenium-php72-docker --label jenkins.build=112925 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/quibble-buster-php72:1.0.1 --packages-source vendor --db mysql --db-dir /workspace/db --git-parallel=8 --run selenium
31++ /usr/bin/env
32++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
33DEBUG:quibble.cmd:ZUUL_PROJECT=mediawiki/core
34INFO:quibble.cmd:Adding mediawiki/vendor
35WARNING:quibble.cmd:SKIN_DEPENDENCIES env variable is deprecated. Instead pass projects as arguments.
36WARNING:quibble.cmd:EXT_DEPENDENCIES env variable is deprecated. Instead pass projects as arguments.
37INFO:quibble.cmd:Projects: mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/Babel, mediawiki/extensions/BetaFeatures, mediawiki/extensions/CheckUser, mediawiki/extensions/CirrusSearch, mediawiki/extensions/Cite, mediawiki/extensions/CiteThisPage, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/ContentTranslation, mediawiki/extensions/Disambiguator, mediawiki/extensions/Echo, mediawiki/extensions/Elastica, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FileImporter, mediawiki/extensions/Flow, mediawiki/extensions/Gadgets, mediawiki/extensions/GeoData, mediawiki/extensions/GlobalCssJs, mediawiki/extensions/GlobalPreferences, mediawiki/extensions/Graph, mediawiki/extensions/GrowthExperiments, mediawiki/extensions/GuidedTour, mediawiki/extensions/ImageMap, mediawiki/extensions/InputBox, mediawiki/extensions/Interwiki, mediawiki/extensions/JsonConfig, mediawiki/extensions/Kartographer, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/NavigationTiming, mediawiki/extensions/PageImages, mediawiki/extensions/PageViewInfo, mediawiki/extensions/ParserFunctions, mediawiki/extensions/PdfHandler, mediawiki/extensions/Poem, mediawiki/extensions/ProofreadPage, mediawiki/extensions/SandboxLink, mediawiki/extensions/Scribunto, mediawiki/extensions/SiteMatrix, mediawiki/extensions/SpamBlacklist, mediawiki/extensions/TemplateData, mediawiki/extensions/Thanks, mediawiki/extensions/TimedMediaHandler, mediawiki/extensions/Translate, mediawiki/extensions/UniversalLanguageSelector, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/Wikibase, mediawiki/extensions/WikibaseCirrusSearch, mediawiki/extensions/WikibaseMediaInfo, mediawiki/extensions/WikimediaMessages, mediawiki/extensions/cldr, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor
38INFO:zuul.CloneMapper:Workspace path set to: ./
39INFO:zuul.CloneMapper:Mapping projects to workspace...
40INFO:zuul.CloneMapper: mediawiki/core -> .
41INFO:zuul.CloneMapper:Expansion completed.
42DEBUG:quibble.cmd:Running stages: selenium
43DEBUG:quibble.cmd:Execution plan:
44DEBUG:quibble.cmd:Report package versions
45DEBUG:quibble.cmd:Ensure we have the directory '/workspace/log'
46DEBUG:quibble.cmd:Zuul clone with parameters {"cache_dir": "/srv/git", "projects": ["mediawiki/core", "mediawiki/extensions/AbuseFilter", "mediawiki/extensions/AntiSpoof", "mediawiki/extensions/Babel", "mediawiki/extensions/BetaFeatures", "mediawiki/extensions/CheckUser", "mediawiki/extensions/CirrusSearch", "mediawiki/extensions/Cite", "mediawiki/extensions/CiteThisPage", "mediawiki/extensions/CodeEditor", "mediawiki/extensions/ConfirmEdit", "mediawiki/extensions/ContentTranslation", "mediawiki/extensions/Disambiguator", "mediawiki/extensions/Echo", "mediawiki/extensions/Elastica", "mediawiki/extensions/EventBus", "mediawiki/extensions/EventLogging", "mediawiki/extensions/EventStreamConfig", "mediawiki/extensions/FileImporter", "mediawiki/extensions/Flow", "mediawiki/extensions/Gadgets", "mediawiki/extensions/GeoData", "mediawiki/extensions/GlobalCssJs", "mediawiki/extensions/GlobalPreferences", "mediawiki/extensions/Graph", "mediawiki/extensions/GrowthExperiments", "mediawiki/extensions/GuidedTour", "mediawiki/extensions/ImageMap", "mediawiki/extensions/InputBox", "mediawiki/extensions/Interwiki", "mediawiki/extensions/JsonConfig", "mediawiki/extensions/Kartographer", "mediawiki/extensions/MobileApp", "mediawiki/extensions/MobileFrontend", "mediawiki/extensions/NavigationTiming", "mediawiki/extensions/PageImages", "mediawiki/extensions/PageViewInfo", "mediawiki/extensions/ParserFunctions", "mediawiki/extensions/PdfHandler", "mediawiki/extensions/Poem", "mediawiki/extensions/ProofreadPage", "mediawiki/extensions/SandboxLink", "mediawiki/extensions/Scribunto", "mediawiki/extensions/SiteMatrix", "mediawiki/extensions/SpamBlacklist", "mediawiki/extensions/TemplateData", "mediawiki/extensions/Thanks", "mediawiki/extensions/TimedMediaHandler", "mediawiki/extensions/Translate", "mediawiki/extensions/UniversalLanguageSelector", "mediawiki/extensions/VisualEditor", "mediawiki/extensions/WikiEditor", "mediawiki/extensions/Wikibase", "mediawiki/extensions/WikibaseCirrusSearch", "mediawiki/extensions/WikibaseMediaInfo", "mediawiki/extensions/WikimediaMessages", "mediawiki/extensions/cldr", "mediawiki/skins/MinervaNeue", "mediawiki/skins/Vector", "mediawiki/vendor"], "workers": 8, "workspace": "/workspace/src", "zuul_branch": "master", "zuul_project": "mediawiki/core", "zuul_ref": "refs/zuul/master/Z08babce426524cd5bebbe9d5d4a282a2", "zuul_url": "git://contint1001.wikimedia.org"}
47DEBUG:quibble.cmd:Extension and skin submodule update under MediaWiki root /workspace/src
48DEBUG:quibble.cmd:Install composer dev-requires for vendor.git
49DEBUG:quibble.cmd:Start backends, <MySQL (no socket)>
50DEBUG:quibble.cmd:Install MediaWiki, db=<MySQL (no socket)> vendor=True
51DEBUG:quibble.cmd:npm install in /workspace/src
52DEBUG:quibble.cmd:Run tests in mediawiki/core:
53DEBUG:quibble.cmd:Start backends, <PhpWebserver http://127.0.0.1:9412 /workspace/src> <Xvfb :94> <ChromeWebDriver :94>
54DEBUG:quibble.cmd:Browser tests for projects mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/Babel, mediawiki/extensions/BetaFeatures, mediawiki/extensions/CheckUser, mediawiki/extensions/CirrusSearch, mediawiki/extensions/Cite, mediawiki/extensions/CiteThisPage, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/ContentTranslation, mediawiki/extensions/Disambiguator, mediawiki/extensions/Echo, mediawiki/extensions/Elastica, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FileImporter, mediawiki/extensions/Flow, mediawiki/extensions/Gadgets, mediawiki/extensions/GeoData, mediawiki/extensions/GlobalCssJs, mediawiki/extensions/GlobalPreferences, mediawiki/extensions/Graph, mediawiki/extensions/GrowthExperiments, mediawiki/extensions/GuidedTour, mediawiki/extensions/ImageMap, mediawiki/extensions/InputBox, mediawiki/extensions/Interwiki, mediawiki/extensions/JsonConfig, mediawiki/extensions/Kartographer, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/NavigationTiming, mediawiki/extensions/PageImages, mediawiki/extensions/PageViewInfo, mediawiki/extensions/ParserFunctions, mediawiki/extensions/PdfHandler, mediawiki/extensions/Poem, mediawiki/extensions/ProofreadPage, mediawiki/extensions/SandboxLink, mediawiki/extensions/Scribunto, mediawiki/extensions/SiteMatrix, mediawiki/extensions/SpamBlacklist, mediawiki/extensions/TemplateData, mediawiki/extensions/Thanks, mediawiki/extensions/TimedMediaHandler, mediawiki/extensions/Translate, mediawiki/extensions/UniversalLanguageSelector, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/Wikibase, mediawiki/extensions/WikibaseCirrusSearch, mediawiki/extensions/WikibaseMediaInfo, mediawiki/extensions/WikimediaMessages, mediawiki/extensions/cldr, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor
55Report package versions
56
57Hide Details
58INFO:quibble.commands:>>> Start: Report package versions
59INFO:quibble.commands:Python version: 3.7.3 (default, Jan 22 2021, 20:04:44)
60[GCC 8.3.0]
61INFO:quibble.commands:chromedriver --version: ChromeDriver 90.0.4430.212 (e3cd97fc771b893b7fd1879196d1215b622c2bed-refs/branch-heads/4430@{#1429})
62INFO:quibble.commands:chromium --version: Chromium 90.0.4430.212 built on Debian 10.9, running on Debian 10.10
63INFO:quibble.commands:composer --version: Composer version 1.10.22 2021-04-27 13:10:45
64INFO:quibble.commands:mysql --version: mysql Ver 15.1 Distrib 10.3.29-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2
65INFO:quibble.commands:psql --version: psql (PostgreSQL) 11.12 (Debian 11.12-0+deb10u1)
66INFO:quibble.commands:node --version: v10.24.0
67INFO:quibble.commands:npm --version: 6.14.5
68INFO:quibble.commands:php --version: PHP 7.2.34-18+0~20210223.60+debian10~1.gbpb21322+wmf1 (cli) (built: Apr 16 2021 12:41:54) ( NTS )
69INFO:quibble.commands:Copyright (c) 1997-2018 The PHP Group
70INFO:quibble.commands:Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
71INFO:quibble.commands: with Zend OPcache v7.2.34-18+0~20210223.60+debian10~1.gbpb21322+wmf1, Copyright (c) 1999-2018, by Zend Technologies
72INFO:quibble.commands:<<< Finish: Report package versions, in 1.298 s
73Ensure we have the directory '/workspace/log'
74
75Hide Details
76INFO:quibble.commands:>>> Start: Ensure we have the directory '/workspace/log'
77INFO:quibble.commands:<<< Finish: Ensure we have the directory '/workspace/log', in 0.000 s
78Zuul clone with parameters
79
80Hide Details
81INFO:quibble.commands:>>> Start: Zuul clone with parameters {"cache_dir": "/srv/git", "projects": ["mediawiki/core", "mediawiki/extensions/AbuseFilter", "mediawiki/extensions/AntiSpoof", "mediawiki/extensions/Babel", "mediawiki/extensions/BetaFeatures", "mediawiki/extensions/CheckUser", "mediawiki/extensions/CirrusSearch", "mediawiki/extensions/Cite", "mediawiki/extensions/CiteThisPage", "mediawiki/extensions/CodeEditor", "mediawiki/extensions/ConfirmEdit", "mediawiki/extensions/ContentTranslation", "mediawiki/extensions/Disambiguator", "mediawiki/extensions/Echo", "mediawiki/extensions/Elastica", "mediawiki/extensions/EventBus", "mediawiki/extensions/EventLogging", "mediawiki/extensions/EventStreamConfig", "mediawiki/extensions/FileImporter", "mediawiki/extensions/Flow", "mediawiki/extensions/Gadgets", "mediawiki/extensions/GeoData", "mediawiki/extensions/GlobalCssJs", "mediawiki/extensions/GlobalPreferences", "mediawiki/extensions/Graph", "mediawiki/extensions/GrowthExperiments", "mediawiki/extensions/GuidedTour", "mediawiki/extensions/ImageMap", "mediawiki/extensions/InputBox", "mediawiki/extensions/Interwiki", "mediawiki/extensions/JsonConfig", "mediawiki/extensions/Kartographer", "mediawiki/extensions/MobileApp", "mediawiki/extensions/MobileFrontend", "mediawiki/extensions/NavigationTiming", "mediawiki/extensions/PageImages", "mediawiki/extensions/PageViewInfo", "mediawiki/extensions/ParserFunctions", "mediawiki/extensions/PdfHandler", "mediawiki/extensions/Poem", "mediawiki/extensions/ProofreadPage", "mediawiki/extensions/SandboxLink", "mediawiki/extensions/Scribunto", "mediawiki/extensions/SiteMatrix", "mediawiki/extensions/SpamBlacklist", "mediawiki/extensions/TemplateData", "mediawiki/extensions/Thanks", "mediawiki/extensions/TimedMediaHandler", "mediawiki/extensions/Translate", "mediawiki/extensions/UniversalLanguageSelector", "mediawiki/extensions/VisualEditor", "mediawiki/extensions/WikiEditor", "mediawiki/extensions/Wikibase", "mediawiki/extensions/WikibaseCirrusSearch", "mediawiki/extensions/WikibaseMediaInfo", "mediawiki/extensions/WikimediaMessages", "mediawiki/extensions/cldr", "mediawiki/skins/MinervaNeue", "mediawiki/skins/Vector", "mediawiki/vendor"], "workers": 8, "workspace": "/workspace/src", "zuul_branch": "master", "zuul_project": "mediawiki/core", "zuul_ref": "refs/zuul/master/Z08babce426524cd5bebbe9d5d4a282a2", "zuul_url": "git://contint1001.wikimedia.org"}
82INFO:zuul.CloneMapper:Workspace path set to: /workspace/src
83INFO:zuul.CloneMapper:Mapping projects to workspace...
84INFO:zuul.CloneMapper: mediawiki/core -> /workspace/src
85INFO:zuul.CloneMapper: mediawiki/extensions/AbuseFilter -> /workspace/src/extensions/AbuseFilter
86INFO:zuul.CloneMapper: mediawiki/extensions/AntiSpoof -> /workspace/src/extensions/AntiSpoof
87INFO:zuul.CloneMapper: mediawiki/extensions/Babel -> /workspace/src/extensions/Babel
88INFO:zuul.CloneMapper: mediawiki/extensions/BetaFeatures -> /workspace/src/extensions/BetaFeatures
89INFO:zuul.CloneMapper: mediawiki/extensions/CheckUser -> /workspace/src/extensions/CheckUser
90INFO:zuul.CloneMapper: mediawiki/extensions/CirrusSearch -> /workspace/src/extensions/CirrusSearch
91INFO:zuul.CloneMapper: mediawiki/extensions/Cite -> /workspace/src/extensions/Cite
92INFO:zuul.CloneMapper: mediawiki/extensions/CiteThisPage -> /workspace/src/extensions/CiteThisPage
93INFO:zuul.CloneMapper: mediawiki/extensions/CodeEditor -> /workspace/src/extensions/CodeEditor
94INFO:zuul.CloneMapper: mediawiki/extensions/ConfirmEdit -> /workspace/src/extensions/ConfirmEdit
95INFO:zuul.CloneMapper: mediawiki/extensions/ContentTranslation -> /workspace/src/extensions/ContentTranslation
96INFO:zuul.CloneMapper: mediawiki/extensions/Disambiguator -> /workspace/src/extensions/Disambiguator
97INFO:zuul.CloneMapper: mediawiki/extensions/Echo -> /workspace/src/extensions/Echo
98INFO:zuul.CloneMapper: mediawiki/extensions/Elastica -> /workspace/src/extensions/Elastica
99INFO:zuul.CloneMapper: mediawiki/extensions/EventBus -> /workspace/src/extensions/EventBus
100INFO:zuul.CloneMapper: mediawiki/extensions/EventLogging -> /workspace/src/extensions/EventLogging
101INFO:zuul.CloneMapper: mediawiki/extensions/EventStreamConfig -> /workspace/src/extensions/EventStreamConfig
102INFO:zuul.CloneMapper: mediawiki/extensions/FileImporter -> /workspace/src/extensions/FileImporter
103INFO:zuul.CloneMapper: mediawiki/extensions/Flow -> /workspace/src/extensions/Flow
104INFO:zuul.CloneMapper: mediawiki/extensions/Gadgets -> /workspace/src/extensions/Gadgets
105INFO:zuul.CloneMapper: mediawiki/extensions/GeoData -> /workspace/src/extensions/GeoData
106INFO:zuul.CloneMapper: mediawiki/extensions/GlobalCssJs -> /workspace/src/extensions/GlobalCssJs
107INFO:zuul.CloneMapper: mediawiki/extensions/GlobalPreferences -> /workspace/src/extensions/GlobalPreferences
108INFO:zuul.CloneMapper: mediawiki/extensions/Graph -> /workspace/src/extensions/Graph
109INFO:zuul.CloneMapper: mediawiki/extensions/GrowthExperiments -> /workspace/src/extensions/GrowthExperiments
110INFO:zuul.CloneMapper: mediawiki/extensions/GuidedTour -> /workspace/src/extensions/GuidedTour
111INFO:zuul.CloneMapper: mediawiki/extensions/ImageMap -> /workspace/src/extensions/ImageMap
112INFO:zuul.CloneMapper: mediawiki/extensions/InputBox -> /workspace/src/extensions/InputBox
113INFO:zuul.CloneMapper: mediawiki/extensions/Interwiki -> /workspace/src/extensions/Interwiki
114INFO:zuul.CloneMapper: mediawiki/extensions/JsonConfig -> /workspace/src/extensions/JsonConfig
115INFO:zuul.CloneMapper: mediawiki/extensions/Kartographer -> /workspace/src/extensions/Kartographer
116INFO:zuul.CloneMapper: mediawiki/extensions/MobileApp -> /workspace/src/extensions/MobileApp
117INFO:zuul.CloneMapper: mediawiki/extensions/MobileFrontend -> /workspace/src/extensions/MobileFrontend
118INFO:zuul.CloneMapper: mediawiki/extensions/NavigationTiming -> /workspace/src/extensions/NavigationTiming
119INFO:zuul.CloneMapper: mediawiki/extensions/PageImages -> /workspace/src/extensions/PageImages
120INFO:zuul.CloneMapper: mediawiki/extensions/PageViewInfo -> /workspace/src/extensions/PageViewInfo
121INFO:zuul.CloneMapper: mediawiki/extensions/ParserFunctions -> /workspace/src/extensions/ParserFunctions
122INFO:zuul.CloneMapper: mediawiki/extensions/PdfHandler -> /workspace/src/extensions/PdfHandler
123INFO:zuul.CloneMapper: mediawiki/extensions/Poem -> /workspace/src/extensions/Poem
124INFO:zuul.CloneMapper: mediawiki/extensions/ProofreadPage -> /workspace/src/extensions/ProofreadPage
125INFO:zuul.CloneMapper: mediawiki/extensions/SandboxLink -> /workspace/src/extensions/SandboxLink
126INFO:zuul.CloneMapper: mediawiki/extensions/Scribunto -> /workspace/src/extensions/Scribunto
127INFO:zuul.CloneMapper: mediawiki/extensions/SiteMatrix -> /workspace/src/extensions/SiteMatrix
128INFO:zuul.CloneMapper: mediawiki/extensions/SpamBlacklist -> /workspace/src/extensions/SpamBlacklist
129INFO:zuul.CloneMapper: mediawiki/extensions/TemplateData -> /workspace/src/extensions/TemplateData
130INFO:zuul.CloneMapper: mediawiki/extensions/Thanks -> /workspace/src/extensions/Thanks
131INFO:zuul.CloneMapper: mediawiki/extensions/TimedMediaHandler -> /workspace/src/extensions/TimedMediaHandler
132INFO:zuul.CloneMapper: mediawiki/extensions/Translate -> /workspace/src/extensions/Translate
133INFO:zuul.CloneMapper: mediawiki/extensions/UniversalLanguageSelector -> /workspace/src/extensions/UniversalLanguageSelector
134INFO:zuul.CloneMapper: mediawiki/extensions/VisualEditor -> /workspace/src/extensions/VisualEditor
135INFO:zuul.CloneMapper: mediawiki/extensions/WikiEditor -> /workspace/src/extensions/WikiEditor
136INFO:zuul.CloneMapper: mediawiki/extensions/Wikibase -> /workspace/src/extensions/Wikibase
137INFO:zuul.CloneMapper: mediawiki/extensions/WikibaseCirrusSearch -> /workspace/src/extensions/WikibaseCirrusSearch
138INFO:zuul.CloneMapper: mediawiki/extensions/WikibaseMediaInfo -> /workspace/src/extensions/WikibaseMediaInfo
139INFO:zuul.CloneMapper: mediawiki/extensions/WikimediaMessages -> /workspace/src/extensions/WikimediaMessages
140INFO:zuul.CloneMapper: mediawiki/extensions/cldr -> /workspace/src/extensions/cldr
141INFO:zuul.CloneMapper: mediawiki/skins/MinervaNeue -> /workspace/src/skins/MinervaNeue
142INFO:zuul.CloneMapper: mediawiki/skins/Vector -> /workspace/src/skins/Vector
143INFO:zuul.CloneMapper: mediawiki/vendor -> /workspace/src/vendor
144INFO:zuul.CloneMapper:Expansion completed.
145INFO:quibble.zuul.clone:Preparing 60 repositories with 8 workers
146INFO:quibble.zuul.clone:Cloning mediawiki/core first
147INFO:zuul.Cloner:Creating repo mediawiki/core from cache /srv/git/mediawiki/core.git
148INFO:zuul.Cloner:Updating origin remote in repo mediawiki/core to https://gerrit.wikimedia.org/r/mediawiki/core
149INFO:zuul.Cloner:upstream repo has branch master
150INFO:zuul.Cloner:Prepared mediawiki/core repo with commit 2f9b15522c4373906db2a21dbd859ca7b8653e22
151INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Creating repo mediawiki/extensions/AbuseFilter from cache /srv/git/mediawiki/extensions/AbuseFilter.git
152INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:Creating repo mediawiki/extensions/AntiSpoof from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/AntiSpoof
153INFO:zuul.Cloner.mediawiki/extensions/BetaFeatures:Creating repo mediawiki/extensions/BetaFeatures from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/BetaFeatures
154INFO:zuul.Cloner.mediawiki/extensions/CheckUser:Creating repo mediawiki/extensions/CheckUser from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/CheckUser
155INFO:zuul.Cloner.mediawiki/extensions/Babel:Creating repo mediawiki/extensions/Babel from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Babel
156INFO:zuul.Cloner.mediawiki/extensions/CirrusSearch:Creating repo mediawiki/extensions/CirrusSearch from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/CirrusSearch
157INFO:zuul.Cloner.mediawiki/extensions/Cite:Creating repo mediawiki/extensions/Cite from cache /srv/git/mediawiki/extensions/Cite.git
158INFO:zuul.Cloner.mediawiki/extensions/CiteThisPage:Creating repo mediawiki/extensions/CiteThisPage from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/CiteThisPage
159INFO:zuul.Cloner.mediawiki/extensions/Cite:Updating origin remote in repo mediawiki/extensions/Cite to https://gerrit.wikimedia.org/r/mediawiki/extensions/Cite
160INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Updating origin remote in repo mediawiki/extensions/AbuseFilter to https://gerrit.wikimedia.org/r/mediawiki/extensions/AbuseFilter
161INFO:zuul.Cloner.mediawiki/extensions/BetaFeatures:upstream repo has branch master
162INFO:zuul.Cloner.mediawiki/extensions/BetaFeatures:Falling back to branch master
163INFO:zuul.Cloner.mediawiki/extensions/BetaFeatures:Prepared mediawiki/extensions/BetaFeatures repo with branch master at commit 47b1181ea99c186404b90f4af2f54633d1a77e30
164INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:Creating repo mediawiki/extensions/CodeEditor from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/CodeEditor
165INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:upstream repo has branch master
166INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:Falling back to branch master
167INFO:zuul.Cloner.mediawiki/extensions/Cite:upstream repo has branch master
168INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:Prepared mediawiki/extensions/AntiSpoof repo with branch master at commit 325f322e2d3f987431a98d9e7e1176d8427b08f6
169INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:Creating repo mediawiki/extensions/ConfirmEdit from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/ConfirmEdit
170INFO:zuul.Cloner.mediawiki/extensions/Cite:Falling back to branch master
171INFO:zuul.Cloner.mediawiki/extensions/CiteThisPage:upstream repo has branch master
172INFO:zuul.Cloner.mediawiki/extensions/Cite:Prepared mediawiki/extensions/Cite repo with branch master at commit 01acd4f77587e4f4447d8595185ac790e6721bb8
173INFO:zuul.Cloner.mediawiki/extensions/ContentTranslation:Creating repo mediawiki/extensions/ContentTranslation from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/ContentTranslation
174INFO:zuul.Cloner.mediawiki/extensions/CiteThisPage:Falling back to branch master
175INFO:zuul.Cloner.mediawiki/extensions/CiteThisPage:Prepared mediawiki/extensions/CiteThisPage repo with branch master at commit 5d74bf3bdd0eaa5999ed483a0c731293b8d37d7b
176INFO:zuul.Cloner.mediawiki/extensions/Disambiguator:Creating repo mediawiki/extensions/Disambiguator from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Disambiguator
177INFO:zuul.Cloner.mediawiki/extensions/Babel:upstream repo has branch master
178INFO:zuul.Cloner.mediawiki/extensions/Babel:Falling back to branch master
179INFO:zuul.Cloner.mediawiki/extensions/Babel:Prepared mediawiki/extensions/Babel repo with branch master at commit e33a533cc77ab50e05ae60504085a8bf071fc2ba
180INFO:zuul.Cloner.mediawiki/extensions/Echo:Creating repo mediawiki/extensions/Echo from cache /srv/git/mediawiki/extensions/Echo.git
181INFO:zuul.Cloner.mediawiki/extensions/Echo:Updating origin remote in repo mediawiki/extensions/Echo to https://gerrit.wikimedia.org/r/mediawiki/extensions/Echo
182INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:upstream repo has branch master
183INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Falling back to branch master
184INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Prepared mediawiki/extensions/AbuseFilter repo with branch master at commit 2a32919ad8fffaa6d8feda6a4e4729a9b81371da
185INFO:zuul.Cloner.mediawiki/extensions/Elastica:Creating repo mediawiki/extensions/Elastica from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Elastica
186INFO:zuul.Cloner.mediawiki/extensions/Disambiguator:upstream repo has branch master
187INFO:zuul.Cloner.mediawiki/extensions/Disambiguator:Falling back to branch master
188INFO:zuul.Cloner.mediawiki/extensions/Disambiguator:Prepared mediawiki/extensions/Disambiguator repo with branch master at commit 0e1baa492edd4a2cd1e74ed0a9c2162da47896cf
189INFO:zuul.Cloner.mediawiki/extensions/EventBus:Creating repo mediawiki/extensions/EventBus from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/EventBus
190INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:upstream repo has branch master
191INFO:zuul.Cloner.mediawiki/extensions/CheckUser:upstream repo has branch master
192INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:Falling back to branch master
193INFO:zuul.Cloner.mediawiki/extensions/CheckUser:Falling back to branch master
194INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:Prepared mediawiki/extensions/CodeEditor repo with branch master at commit a5e8af27a000de2022b3a4a3a8d8384669f556ef
195INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Creating repo mediawiki/extensions/EventLogging from cache /srv/git/mediawiki/extensions/EventLogging.git
196INFO:zuul.Cloner.mediawiki/extensions/CheckUser:Prepared mediawiki/extensions/CheckUser repo with branch master at commit 39a14e271c88c268a0460c7294a72557216ebb8e
197INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:Creating repo mediawiki/extensions/EventStreamConfig from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/EventStreamConfig
198INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Updating origin remote in repo mediawiki/extensions/EventLogging to https://gerrit.wikimedia.org/r/mediawiki/extensions/EventLogging
199
200INFO:zuul.Cloner.mediawiki/extensions/Elastica:upstream repo has branch master
201INFO:zuul.Cloner.mediawiki/extensions/Elastica:Falling back to branch master
202INFO:zuul.Cloner.mediawiki/extensions/Elastica:Prepared mediawiki/extensions/Elastica repo with branch master at commit d2bb8a2f950625846d9c64d430b8b10aa1e2a760
203INFO:zuul.Cloner.mediawiki/extensions/FileImporter:Creating repo mediawiki/extensions/FileImporter from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/FileImporter
204INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:upstream repo has branch master
205INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:Falling back to branch master
206INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:Prepared mediawiki/extensions/ConfirmEdit repo with branch master at commit 19b17851e9805837ad04320ef4a61fa59a0d380e
207INFO:zuul.Cloner.mediawiki/extensions/Flow:Creating repo mediawiki/extensions/Flow from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Flow
208INFO:zuul.Cloner.mediawiki/extensions/EventLogging:upstream repo has branch master
209INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:upstream repo has branch master
210INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Falling back to branch master
211INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Prepared mediawiki/extensions/EventLogging repo with branch master at commit 8ae5deedf93bc6e0fabc3aab4a69ce61c99a4aeb
212INFO:zuul.Cloner.mediawiki/extensions/Gadgets:Creating repo mediawiki/extensions/Gadgets from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Gadgets
213
214INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:Falling back to branch master
215INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:Prepared mediawiki/extensions/EventStreamConfig repo with branch master at commit ae0c1606ca2977816f843952581e084e638bc8d0
216INFO:zuul.Cloner.mediawiki/extensions/GeoData:Creating repo mediawiki/extensions/GeoData from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/GeoData
217INFO:zuul.Cloner.mediawiki/extensions/EventBus:upstream repo has branch master
218
219INFO:zuul.Cloner.mediawiki/extensions/EventBus:Falling back to branch master
220INFO:zuul.Cloner.mediawiki/extensions/EventBus:Prepared mediawiki/extensions/EventBus repo with branch master at commit 1da8957c83e18e2b1d4955ce6e3f939993ce0aa2
221INFO:zuul.Cloner.mediawiki/extensions/GlobalCssJs:Creating repo mediawiki/extensions/GlobalCssJs from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/GlobalCssJs
222INFO:zuul.Cloner.mediawiki/extensions/Echo:upstream repo has branch master
223INFO:zuul.Cloner.mediawiki/extensions/ContentTranslation:upstream repo has branch master
224INFO:zuul.Cloner.mediawiki/extensions/Echo:Falling back to branch master
225INFO:zuul.Cloner.mediawiki/extensions/ContentTranslation:Falling back to branch master
226INFO:zuul.Cloner.mediawiki/extensions/ContentTranslation:Prepared mediawiki/extensions/ContentTranslation repo with branch master at commit 5555a7501548cbee18a91eea621436e1a98a48ac
227INFO:zuul.Cloner.mediawiki/extensions/GlobalPreferences:Creating repo mediawiki/extensions/GlobalPreferences from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/GlobalPreferences
228INFO:zuul.Cloner.mediawiki/extensions/Echo:Prepared mediawiki/extensions/Echo repo with branch master at commit 97771e3369b7949db242f72551ac6efe803881e5
229INFO:zuul.Cloner.mediawiki/extensions/Graph:Creating repo mediawiki/extensions/Graph from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Graph
230INFO:zuul.Cloner.mediawiki/extensions/CirrusSearch:upstream repo has branch master
231INFO:zuul.Cloner.mediawiki/extensions/FileImporter:upstream repo has branch master
232INFO:zuul.Cloner.mediawiki/extensions/FileImporter:Falling back to branch master
233INFO:zuul.Cloner.mediawiki/extensions/CirrusSearch:Falling back to branch master
234INFO:zuul.Cloner.mediawiki/extensions/FileImporter:Prepared mediawiki/extensions/FileImporter repo with branch master at commit 4fcf5bdd11ce3a88dc59368ea1a269a649d41cab
235INFO:zuul.Cloner.mediawiki/extensions/GrowthExperiments:Creating repo mediawiki/extensions/GrowthExperiments from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/GrowthExperiments
236INFO:zuul.Cloner.mediawiki/extensions/CirrusSearch:Prepared mediawiki/extensions/CirrusSearch repo with branch master at commit 0ef4ba911c1b16799c3f3be3f85baa03aaa45450
237INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:Creating repo mediawiki/extensions/GuidedTour from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/GuidedTour
238INFO:zuul.Cloner.mediawiki/extensions/GeoData:upstream repo has branch master
239INFO:zuul.Cloner.mediawiki/extensions/GeoData:Falling back to branch master
240INFO:zuul.Cloner.mediawiki/extensions/GeoData:Prepared mediawiki/extensions/GeoData repo with branch master at commit 3776696e6aa9867f8e514113327538c46b8a4526
241INFO:zuul.Cloner.mediawiki/extensions/ImageMap:Creating repo mediawiki/extensions/ImageMap from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/ImageMap
242INFO:zuul.Cloner.mediawiki/extensions/GlobalCssJs:upstream repo has branch master
243INFO:zuul.Cloner.mediawiki/extensions/GlobalCssJs:Falling back to branch master
244INFO:zuul.Cloner.mediawiki/extensions/GlobalCssJs:Prepared mediawiki/extensions/GlobalCssJs repo with branch master at commit 775d77d8abb3941200757928134db3e2430ca19e
245INFO:zuul.Cloner.mediawiki/extensions/InputBox:Creating repo mediawiki/extensions/InputBox from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/InputBox
246INFO:zuul.Cloner.mediawiki/extensions/GlobalPreferences:upstream repo has branch master
247INFO:zuul.Cloner.mediawiki/extensions/GlobalPreferences:Falling back to branch master
248INFO:zuul.Cloner.mediawiki/extensions/Gadgets:upstream repo has branch master
249INFO:zuul.Cloner.mediawiki/extensions/GlobalPreferences:Prepared mediawiki/extensions/GlobalPreferences repo with branch master at commit 989f3ca2b124e60eec6c99a619d761a1e1e55b5f
250INFO:zuul.Cloner.mediawiki/extensions/Interwiki:Creating repo mediawiki/extensions/Interwiki from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Interwiki
251INFO:zuul.Cloner.mediawiki/extensions/Gadgets:Falling back to branch master
252INFO:zuul.Cloner.mediawiki/extensions/Gadgets:Prepared mediawiki/extensions/Gadgets repo with branch master at commit 206d0b5c189ba3cb545d5b228f7d3777071aba00
253INFO:zuul.Cloner.mediawiki/extensions/JsonConfig:Creating repo mediawiki/extensions/JsonConfig from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/JsonConfig
254INFO:zuul.Cloner.mediawiki/extensions/Graph:upstream repo has branch master
255INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:upstream repo has branch master
256INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:Falling back to branch master
257INFO:zuul.Cloner.mediawiki/extensions/Graph:Falling back to branch master
258INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:Prepared mediawiki/extensions/GuidedTour repo with branch master at commit 6262bcb89449b3d6bdfae13869220d8d6f82267b
259INFO:zuul.Cloner.mediawiki/extensions/Kartographer:Creating repo mediawiki/extensions/Kartographer from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Kartographer
260INFO:zuul.Cloner.mediawiki/extensions/Graph:Prepared mediawiki/extensions/Graph repo with branch master at commit 84568cee664642e7ff6ab8b8c9dd601e4f22a5cc
261INFO:zuul.Cloner.mediawiki/extensions/MobileApp:Creating repo mediawiki/extensions/MobileApp from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/MobileApp
262INFO:zuul.Cloner.mediawiki/extensions/InputBox:upstream repo has branch master
263INFO:zuul.Cloner.mediawiki/extensions/ImageMap:upstream repo has branch master
264INFO:zuul.Cloner.mediawiki/extensions/InputBox:Falling back to branch master
265INFO:zuul.Cloner.mediawiki/extensions/ImageMap:Falling back to branch master
266INFO:zuul.Cloner.mediawiki/extensions/ImageMap:Prepared mediawiki/extensions/ImageMap repo with branch master at commit 9c5e6dd7e97efc5d0d325060ab2bee0818c784e8
267INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Creating repo mediawiki/extensions/MobileFrontend from cache /srv/git/mediawiki/extensions/MobileFrontend.git
268INFO:zuul.Cloner.mediawiki/extensions/Flow:upstream repo has branch master
269INFO:zuul.Cloner.mediawiki/extensions/InputBox:Prepared mediawiki/extensions/InputBox repo with branch master at commit 4d650ad97c603ae259df6ddbdc77df5467fff45c
270INFO:zuul.Cloner.mediawiki/extensions/NavigationTiming:Creating repo mediawiki/extensions/NavigationTiming from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/NavigationTiming
271INFO:zuul.Cloner.mediawiki/extensions/Flow:Falling back to branch master
272INFO:zuul.Cloner.mediawiki/extensions/Flow:Prepared mediawiki/extensions/Flow repo with branch master at commit e2f79190fcf49239e18db302b171732a7356444d
273INFO:zuul.Cloner.mediawiki/extensions/PageImages:Creating repo mediawiki/extensions/PageImages from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/PageImages
274INFO:zuul.Cloner.mediawiki/extensions/GrowthExperiments:upstream repo has branch master
275INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Updating origin remote in repo mediawiki/extensions/MobileFrontend to https://gerrit.wikimedia.org/r/mediawiki/extensions/MobileFrontend
276INFO:zuul.Cloner.mediawiki/extensions/GrowthExperiments:Falling back to branch master
277INFO:zuul.Cloner.mediawiki/extensions/GrowthExperiments:Prepared mediawiki/extensions/GrowthExperiments repo with branch master at commit 908a73f3da1cd9914912e247d8451bf3dfe9f895
278INFO:zuul.Cloner.mediawiki/extensions/PageViewInfo:Creating repo mediawiki/extensions/PageViewInfo from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/PageViewInfo
279INFO:zuul.Cloner.mediawiki/extensions/NavigationTiming:upstream repo has branch master
280INFO:zuul.Cloner.mediawiki/extensions/NavigationTiming:Falling back to branch master
281INFO:zuul.Cloner.mediawiki/extensions/NavigationTiming:Prepared mediawiki/extensions/NavigationTiming repo with branch master at commit 06f879bafd9352927f35e655f5a1dd15eb814679
282INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:Creating repo mediawiki/extensions/ParserFunctions from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/ParserFunctions
283INFO:zuul.Cloner.mediawiki/extensions/JsonConfig:upstream repo has branch master
284INFO:zuul.Cloner.mediawiki/extensions/JsonConfig:Falling back to branch master
285INFO:zuul.Cloner.mediawiki/extensions/JsonConfig:Prepared mediawiki/extensions/JsonConfig repo with branch master at commit fccd38acfd833215af76cddbc41ecb5d2343c1dd
286INFO:zuul.Cloner.mediawiki/extensions/PdfHandler:Creating repo mediawiki/extensions/PdfHandler from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/PdfHandler
287INFO:zuul.Cloner.mediawiki/extensions/Kartographer:upstream repo has branch master
288INFO:zuul.Cloner.mediawiki/extensions/PageViewInfo:upstream repo has branch master
289INFO:zuul.Cloner.mediawiki/extensions/Kartographer:Falling back to branch master
290INFO:zuul.Cloner.mediawiki/extensions/PageImages:upstream repo has branch master
291INFO:zuul.Cloner.mediawiki/extensions/PageViewInfo:Falling back to branch master
292INFO:zuul.Cloner.mediawiki/extensions/Kartographer:Prepared mediawiki/extensions/Kartographer repo with branch master at commit ae59d4e3882c2e754f609c7890349af8332c67c9
293INFO:zuul.Cloner.mediawiki/extensions/Poem:Creating repo mediawiki/extensions/Poem from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Poem
294INFO:zuul.Cloner.mediawiki/extensions/PageImages:Falling back to branch master
295INFO:zuul.Cloner.mediawiki/extensions/PageViewInfo:Prepared mediawiki/extensions/PageViewInfo repo with branch master at commit 2edade85f3c70cd51c4566e8513db767ea5a682a
296INFO:zuul.Cloner.mediawiki/extensions/ProofreadPage:Creating repo mediawiki/extensions/ProofreadPage from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/ProofreadPage
297INFO:zuul.Cloner.mediawiki/extensions/MobileApp:upstream repo has branch master
298INFO:zuul.Cloner.mediawiki/extensions/PageImages:Prepared mediawiki/extensions/PageImages repo with branch master at commit 7e13212a7c4896d3e2da896f288b6aa9b9d572e6
299INFO:zuul.Cloner.mediawiki/extensions/SandboxLink:Creating repo mediawiki/extensions/SandboxLink from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/SandboxLink
300INFO:zuul.Cloner.mediawiki/extensions/Interwiki:upstream repo has branch master
301INFO:zuul.Cloner.mediawiki/extensions/MobileApp:Falling back to branch master
302INFO:zuul.Cloner.mediawiki/extensions/MobileApp:Prepared mediawiki/extensions/MobileApp repo with branch master at commit f3751eeb7da882cf18298753b939fefc35fa0860
303INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Creating repo mediawiki/extensions/Scribunto from cache /srv/git/mediawiki/extensions/Scribunto.git
304INFO:zuul.Cloner.mediawiki/extensions/Interwiki:Falling back to branch master
305INFO:zuul.Cloner.mediawiki/extensions/Interwiki:Prepared mediawiki/extensions/Interwiki repo with branch master at commit 0008bde79704fab664d19e5012e5c7293dc104d3
306INFO:zuul.Cloner.mediawiki/extensions/SiteMatrix:Creating repo mediawiki/extensions/SiteMatrix from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/SiteMatrix
307INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Updating origin remote in repo mediawiki/extensions/Scribunto to https://gerrit.wikimedia.org/r/mediawiki/extensions/Scribunto
308INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:upstream repo has branch master
309INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:upstream repo has branch master
310INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:Falling back to branch master
311INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Falling back to branch master
312INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:Prepared mediawiki/extensions/ParserFunctions repo with branch master at commit 2d530e98b661982c06cf713de47a0cd7cfbd1943
313INFO:zuul.Cloner.mediawiki/extensions/SpamBlacklist:Creating repo mediawiki/extensions/SpamBlacklist from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/SpamBlacklist
314INFO:zuul.Cloner.mediawiki/extensions/PdfHandler:upstream repo has branch master
315INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Prepared mediawiki/extensions/MobileFrontend repo with branch master at commit 857bc2704b4640a6a842fc241e20bc006483a40e
316INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Creating repo mediawiki/extensions/TemplateData from cache /srv/git/mediawiki/extensions/TemplateData.git
317INFO:zuul.Cloner.mediawiki/extensions/PdfHandler:Falling back to branch master
318INFO:zuul.Cloner.mediawiki/extensions/PdfHandler:Prepared mediawiki/extensions/PdfHandler repo with branch master at commit b76bd4b4f9c02f47c1f6ef432913a31ad26cc6ed
319INFO:zuul.Cloner.mediawiki/extensions/Thanks:Creating repo mediawiki/extensions/Thanks from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Thanks
320INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Updating origin remote in repo mediawiki/extensions/TemplateData to https://gerrit.wikimedia.org/r/mediawiki/extensions/TemplateData
321INFO:zuul.Cloner.mediawiki/extensions/Poem:upstream repo has branch master
322INFO:zuul.Cloner.mediawiki/extensions/SandboxLink:upstream repo has branch master
323INFO:zuul.Cloner.mediawiki/extensions/SandboxLink:Falling back to branch master
324INFO:zuul.Cloner.mediawiki/extensions/Poem:Falling back to branch master
325INFO:zuul.Cloner.mediawiki/extensions/SandboxLink:Prepared mediawiki/extensions/SandboxLink repo with branch master at commit 2fbd545fbc1fb78dd5798fd781c997541f6f8466
326INFO:zuul.Cloner.mediawiki/extensions/TimedMediaHandler:Creating repo mediawiki/extensions/TimedMediaHandler from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/TimedMediaHandler
327INFO:zuul.Cloner.mediawiki/extensions/Poem:Prepared mediawiki/extensions/Poem repo with branch master at commit 0b7514141c8c32f4c8fdd34da0b10ef37bad7697
328INFO:zuul.Cloner.mediawiki/extensions/Translate:Creating repo mediawiki/extensions/Translate from cache /srv/git/mediawiki/extensions/Translate.git
329INFO:zuul.Cloner.mediawiki/extensions/Scribunto:upstream repo has branch master
330INFO:zuul.Cloner.mediawiki/extensions/SiteMatrix:upstream repo has branch master
331INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Falling back to branch master
332INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Prepared mediawiki/extensions/Scribunto repo with branch master at commit 1ad9c719713da51ee5e90851293d8a5d1f6501cc
333INFO:zuul.Cloner.mediawiki/extensions/UniversalLanguageSelector:Creating repo mediawiki/extensions/UniversalLanguageSelector from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/UniversalLanguageSelector
334INFO:zuul.Cloner.mediawiki/extensions/SiteMatrix:Falling back to branch master
335INFO:zuul.Cloner.mediawiki/extensions/SiteMatrix:Prepared mediawiki/extensions/SiteMatrix repo with branch master at commit 59780c82a6176d3de2bf2dbb2e685707ed6095d0
336INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Creating repo mediawiki/extensions/VisualEditor from cache /srv/git/mediawiki/extensions/VisualEditor.git
337INFO:zuul.Cloner.mediawiki/extensions/Translate:Updating origin remote in repo mediawiki/extensions/Translate to https://gerrit.wikimedia.org/r/mediawiki/extensions/Translate
338INFO:zuul.Cloner.mediawiki/extensions/TemplateData:upstream repo has branch master
339INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Falling back to branch master
340INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Updating origin remote in repo mediawiki/extensions/VisualEditor to https://gerrit.wikimedia.org/r/mediawiki/extensions/VisualEditor
341INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Prepared mediawiki/extensions/TemplateData repo with branch master at commit a95e0252126b9b3a8bdb2a37997afa826aecc8f3
342INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:Creating repo mediawiki/extensions/WikiEditor from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikiEditor
343INFO:zuul.Cloner.mediawiki/extensions/SpamBlacklist:upstream repo has branch master
344INFO:zuul.Cloner.mediawiki/extensions/ProofreadPage:upstream repo has branch master
345INFO:zuul.Cloner.mediawiki/extensions/SpamBlacklist:Falling back to branch master
346INFO:zuul.Cloner.mediawiki/extensions/ProofreadPage:Falling back to branch master
347INFO:zuul.Cloner.mediawiki/extensions/SpamBlacklist:Prepared mediawiki/extensions/SpamBlacklist repo with branch master at commit c9f0a21a4884468c663199cc54d882ec5eb2171b
348INFO:zuul.Cloner.mediawiki/extensions/Wikibase:Creating repo mediawiki/extensions/Wikibase from cache /srv/git/mediawiki/extensions/Wikibase.git
349INFO:zuul.Cloner.mediawiki/extensions/Thanks:upstream repo has branch master
350INFO:zuul.Cloner.mediawiki/extensions/ProofreadPage:Prepared mediawiki/extensions/ProofreadPage repo with branch master at commit d583eed4fbed3586e66407de5c0f7a5afb186829
351INFO:zuul.Cloner.mediawiki/extensions/WikibaseCirrusSearch:Creating repo mediawiki/extensions/WikibaseCirrusSearch from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikibaseCirrusSearch
352INFO:zuul.Cloner.mediawiki/extensions/Thanks:Falling back to branch master
353INFO:zuul.Cloner.mediawiki/extensions/Thanks:Prepared mediawiki/extensions/Thanks repo with branch master at commit 943509d958a0ac0b692ccc5f576c9e8f7452c6d9
354INFO:zuul.Cloner.mediawiki/extensions/WikibaseMediaInfo:Creating repo mediawiki/extensions/WikibaseMediaInfo from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikibaseMediaInfo
355INFO:zuul.Cloner.mediawiki/extensions/Wikibase:Updating origin remote in repo mediawiki/extensions/Wikibase to https://gerrit.wikimedia.org/r/mediawiki/extensions/Wikibase
356INFO:zuul.Cloner.mediawiki/extensions/WikibaseCirrusSearch:upstream repo has branch master
357INFO:zuul.Cloner.mediawiki/extensions/WikibaseCirrusSearch:Falling back to branch master
358INFO:zuul.Cloner.mediawiki/extensions/WikibaseCirrusSearch:Prepared mediawiki/extensions/WikibaseCirrusSearch repo with branch master at commit f665f8f607fc5e5fa40fe38cd8fc3dd6e20def15
359INFO:zuul.Cloner.mediawiki/extensions/WikimediaMessages:Creating repo mediawiki/extensions/WikimediaMessages from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikimediaMessages
360
361INFO:zuul.Cloner.mediawiki/extensions/WikibaseMediaInfo:upstream repo has branch master
362INFO:zuul.Cloner.mediawiki/extensions/TimedMediaHandler:upstream repo has branch master
363INFO:zuul.Cloner.mediawiki/extensions/WikibaseMediaInfo:Falling back to branch master
364INFO:zuul.Cloner.mediawiki/extensions/TimedMediaHandler:Falling back to branch master
365INFO:zuul.Cloner.mediawiki/extensions/WikibaseMediaInfo:Prepared mediawiki/extensions/WikibaseMediaInfo repo with branch master at commit 0f9e62088a25eb598798b62506e842b2cd582d40
366INFO:zuul.Cloner.mediawiki/extensions/cldr:Creating repo mediawiki/extensions/cldr from cache /srv/git/mediawiki/extensions/cldr.git
367INFO:zuul.Cloner.mediawiki/extensions/Translate:upstream repo has branch master
368INFO:zuul.Cloner.mediawiki/extensions/TimedMediaHandler:Prepared mediawiki/extensions/TimedMediaHandler repo with branch master at commit 3da580dfcbbb3511eb9f12398df80cd95cb7bf73
369INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Creating repo mediawiki/skins/MinervaNeue from cache /srv/git/mediawiki/skins/MinervaNeue.git
370INFO:zuul.Cloner.mediawiki/extensions/cldr:Updating origin remote in repo mediawiki/extensions/cldr to https://gerrit.wikimedia.org/r/mediawiki/extensions/cldr
371INFO:zuul.Cloner.mediawiki/extensions/Translate:Falling back to branch master
372INFO:zuul.Cloner.mediawiki/extensions/Translate:Prepared mediawiki/extensions/Translate repo with branch master at commit 6a2c8a9c4299e7d60ae27759e80c2e429c7764ac
373INFO:zuul.Cloner.mediawiki/skins/Vector:Creating repo mediawiki/skins/Vector from cache /srv/git/mediawiki/skins/Vector.git
374INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Updating origin remote in repo mediawiki/skins/MinervaNeue to https://gerrit.wikimedia.org/r/mediawiki/skins/MinervaNeue
375INFO:zuul.Cloner.mediawiki/skins/Vector:Updating origin remote in repo mediawiki/skins/Vector to https://gerrit.wikimedia.org/r/mediawiki/skins/Vector
376
377INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:upstream repo has branch master
378INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Falling back to branch master
379INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Prepared mediawiki/extensions/VisualEditor repo with branch master at commit cf147904501865fd40b3b65578bf881a6f5691c9
380INFO:zuul.Cloner.mediawiki/vendor:Creating repo mediawiki/vendor from cache /srv/git/mediawiki/vendor.git
381INFO:zuul.Cloner.mediawiki/extensions/UniversalLanguageSelector:upstream repo has branch master
382INFO:zuul.Cloner.mediawiki/extensions/UniversalLanguageSelector:Falling back to branch master
383INFO:zuul.Cloner.mediawiki/extensions/UniversalLanguageSelector:Prepared mediawiki/extensions/UniversalLanguageSelector repo with branch master at commit 4ace09357d2be92738cf13587b0aed04868234f0
384INFO:zuul.Cloner.mediawiki/extensions/cldr:upstream repo has branch master
385INFO:zuul.Cloner.mediawiki/extensions/cldr:Falling back to branch master
386INFO:zuul.Cloner.mediawiki/extensions/cldr:Prepared mediawiki/extensions/cldr repo with branch master at commit fbffac6e03c9219aa3449954ad8a8a1e3ea75ea0
387INFO:zuul.Cloner.mediawiki/skins/Vector:upstream repo has branch master
388INFO:zuul.Cloner.mediawiki/vendor:Updating origin remote in repo mediawiki/vendor to https://gerrit.wikimedia.org/r/mediawiki/vendor
389
390INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:upstream repo has branch master
391INFO:zuul.Cloner.mediawiki/skins/Vector:Falling back to branch master
392INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Falling back to branch master
393INFO:zuul.Cloner.mediawiki/skins/Vector:Prepared mediawiki/skins/Vector repo with branch master at commit adba7af0e3cdc5f9c291c24701aed952dfd14fbf
394INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Prepared mediawiki/skins/MinervaNeue repo with branch master at commit b6e726e378d04b21ea1526c830042ccfb0ebda5d
395
396INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:upstream repo has branch master
397INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:Falling back to branch master
398INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:Prepared mediawiki/extensions/WikiEditor repo with branch master at commit 14f1598c1dad2d119d327fffdf579c891533eb59
399
400INFO:zuul.Cloner.mediawiki/extensions/Wikibase:upstream repo has branch master
401INFO:zuul.Cloner.mediawiki/extensions/Wikibase:Falling back to branch master
402
403INFO:zuul.Cloner.mediawiki/extensions/Wikibase:Prepared mediawiki/extensions/Wikibase repo with branch master at commit e5660735830bb7d2424939d25bf943fde3a8c461
404
405INFO:zuul.Cloner.mediawiki/vendor:upstream repo has branch master
406INFO:zuul.Cloner.mediawiki/vendor:Falling back to branch master
407INFO:zuul.Cloner.mediawiki/vendor:Prepared mediawiki/vendor repo with branch master at commit 0c164023a1481b33fa611394b54eeaaa187679e4
408
409INFO:zuul.Cloner.mediawiki/extensions/WikimediaMessages:upstream repo has branch master
410INFO:zuul.Cloner.mediawiki/extensions/WikimediaMessages:Falling back to branch master
411INFO:zuul.Cloner.mediawiki/extensions/WikimediaMessages:Prepared mediawiki/extensions/WikimediaMessages repo with branch master at commit 5ee6bf7a94deea73bee60ecd91cb258b14d3bffc
412INFO:quibble.zuul.clone:Prepared all repositories
413INFO:quibble.commands:<<< Finish: Zuul clone with parameters {"cache_dir": "/srv/git", "projects": ["mediawiki/core", "mediawiki/extensions/AbuseFilter", "mediawiki/extensions/AntiSpoof", "mediawiki/extensions/Babel", "mediawiki/extensions/BetaFeatures", "mediawiki/extensions/CheckUser", "mediawiki/extensions/CirrusSearch", "mediawiki/extensions/Cite", "mediawiki/extensions/CiteThisPage", "mediawiki/extensions/CodeEditor", "mediawiki/extensions/ConfirmEdit", "mediawiki/extensions/ContentTranslation", "mediawiki/extensions/Disambiguator", "mediawiki/extensions/Echo", "mediawiki/extensions/Elastica", "mediawiki/extensions/EventBus", "mediawiki/extensions/EventLogging", "mediawiki/extensions/EventStreamConfig", "mediawiki/extensions/FileImporter", "mediawiki/extensions/Flow", "mediawiki/extensions/Gadgets", "mediawiki/extensions/GeoData", "mediawiki/extensions/GlobalCssJs", "mediawiki/extensions/GlobalPreferences", "mediawiki/extensions/Graph", "mediawiki/extensions/GrowthExperiments", "mediawiki/extensions/GuidedTour", "mediawiki/extensions/ImageMap", "mediawiki/extensions/InputBox", "mediawiki/extensions/Interwiki", "mediawiki/extensions/JsonConfig", "mediawiki/extensions/Kartographer", "mediawiki/extensions/MobileApp", "mediawiki/extensions/MobileFrontend", "mediawiki/extensions/NavigationTiming", "mediawiki/extensions/PageImages", "mediawiki/extensions/PageViewInfo", "mediawiki/extensions/ParserFunctions", "mediawiki/extensions/PdfHandler", "mediawiki/extensions/Poem", "mediawiki/extensions/ProofreadPage", "mediawiki/extensions/SandboxLink", "mediawiki/extensions/Scribunto", "mediawiki/extensions/SiteMatrix", "mediawiki/extensions/SpamBlacklist", "mediawiki/extensions/TemplateData", "mediawiki/extensions/Thanks", "mediawiki/extensions/TimedMediaHandler", "mediawiki/extensions/Translate", "mediawiki/extensions/UniversalLanguageSelector", "mediawiki/extensions/VisualEditor", "mediawiki/extensions/WikiEditor", "mediawiki/extensions/Wikibase", "mediawiki/extensions/WikibaseCirrusSearch", "mediawiki/extensions/WikibaseMediaInfo", "mediawiki/extensions/WikimediaMessages", "mediawiki/extensions/cldr", "mediawiki/skins/MinervaNeue", "mediawiki/skins/Vector", "mediawiki/vendor"], "workers": 8, "workspace": "/workspace/src", "zuul_branch": "master", "zuul_project": "mediawiki/core", "zuul_ref": "refs/zuul/master/Z08babce426524cd5bebbe9d5d4a282a2", "zuul_url": "git://contint1001.wikimedia.org"}, in 39.594 s
414Extension and skin submodule update under MediaWiki root /workspace/src
415
416Hide Details
417INFO:quibble.commands:>>> Start: Extension and skin submodule update under MediaWiki root /workspace/src
418INFO:quibble.commands:Updating git submodules of extensions and skins
419Submodule 'lib/ve' (https://gerrit.wikimedia.org/r/VisualEditor/VisualEditor.git) registered for path 'lib/ve'
420Cloning into '/workspace/src/extensions/VisualEditor/lib/ve'...
421
422Submodule path 'lib/ve': checked out 'ec9e8022e7e5a16733af71cddd0202bfd35a42d1'
423 ec9e8022e7e5a16733af71cddd0202bfd35a42d1 lib/ve (heads/master)
424Submodule 'lib/resources/wikibase-api' (https://gerrit.wikimedia.org/r/wikibase/javascript-api) registered for path 'lib/resources/wikibase-api'
425Submodule 'view/lib/wikibase-data-model' (https://phabricator.wikimedia.org/source/wikibase-data-model.git) registered for path 'view/lib/wikibase-data-model'
426Submodule 'view/lib/wikibase-data-values' (https://phabricator.wikimedia.org/source/datavalues-javascript.git) registered for path 'view/lib/wikibase-data-values'
427Submodule 'view/lib/wikibase-data-values-value-view' (https://gerrit.wikimedia.org/r/data-values/value-view) registered for path 'view/lib/wikibase-data-values-value-view'
428Submodule 'view/lib/wikibase-serialization' (https://phabricator.wikimedia.org/source/wikibase-serialization.git) registered for path 'view/lib/wikibase-serialization'
429Submodule 'view/lib/wikibase-termbox' (https://gerrit.wikimedia.org/r/wikibase/termbox) registered for path 'view/lib/wikibase-termbox'
430Cloning into '/workspace/src/extensions/Wikibase/lib/resources/wikibase-api'...
431Cloning into '/workspace/src/extensions/Wikibase/view/lib/wikibase-data-model'...
432Cloning into '/workspace/src/extensions/Wikibase/view/lib/wikibase-data-values-value-view'...
433
434Cloning into '/workspace/src/extensions/Wikibase/view/lib/wikibase-data-values'...
435Cloning into '/workspace/src/extensions/Wikibase/view/lib/wikibase-termbox'...
436Cloning into '/workspace/src/extensions/Wikibase/view/lib/wikibase-serialization'...
437Submodule path 'lib/resources/wikibase-api': checked out 'b755658e33e23688e47e08fb8451c3c4ae029f8a'
438Submodule path 'view/lib/wikibase-data-model': checked out '6b304daeb804591ddc4520925337429ac086515c'
439Submodule path 'view/lib/wikibase-data-values': checked out '457733ebe7b0d090a67e2623350be2e4286077fe'
440
441Submodule path 'view/lib/wikibase-data-values-value-view': checked out '48d970db55e38316f3fd00b8bd0851dfd40b4a61'
442Submodule path 'view/lib/wikibase-serialization': checked out 'e9b9a736f19e42497bfe45cb6f323781b00b5023'
443Submodule path 'view/lib/wikibase-termbox': checked out 'b2be98b9ae9e0cf7767cafcf6d848560c768b99d'
444 b755658e33e23688e47e08fb8451c3c4ae029f8a lib/resources/wikibase-api (1.0.3-109-gb755658)
445 6b304daeb804591ddc4520925337429ac086515c view/lib/wikibase-data-model (6.1.0-11-g6b304da)
446 457733ebe7b0d090a67e2623350be2e4286077fe view/lib/wikibase-data-values (0.10.0-19-g457733e)
447 48d970db55e38316f3fd00b8bd0851dfd40b4a61 view/lib/wikibase-data-values-value-view (1.0.0-58-g48d970d)
448 e9b9a736f19e42497bfe45cb6f323781b00b5023 view/lib/wikibase-serialization (5.0.0-18-ge9b9a73)
449 b2be98b9ae9e0cf7767cafcf6d848560c768b99d view/lib/wikibase-termbox (v0.1-234-gb2be98b)
450INFO:quibble.commands:<<< Finish: Extension and skin submodule update under MediaWiki root /workspace/src, in 9.083 s
451Install composer dev-requires for vendor.git
452
453Hide Details
454INFO:quibble.commands:>>> Start: Install composer dev-requires for vendor.git
455INFO:quibble.commands:vendor.git used. Requiring composer dev dependencies
456DEBUG:quibble.commands:composer require composer/spdx-licenses=1.5.4 doctrine/dbal=2.10.4||3.0.0 doctrine/sql-formatter=1.1.1 giorgiosironi/eris=^0.10.0 hamcrest/hamcrest-php=^2.0 johnkary/phpunit-speedtrap=^3.1 justinrainbow/json-schema=~5.2 mediawiki/mediawiki-codesniffer=37.0.0 mediawiki/mediawiki-phan-config=0.11.0 nikic/php-parser=4.10.2 nmred/kafka-php=0.1.5 php-parallel-lint/php-console-highlighter=0.5 php-parallel-lint/php-parallel-lint=1.3.0 phpunit/phpunit=^8.5 psy/psysh=0.10.5 seld/jsonlint=1.8.3 symfony/yaml=~3.4|~5.1 wikimedia/testing-access-wrapper=~2.0 wmde/hamcrest-html-matchers=^1.0.0
457
458Reading composer.json of league/oauth2-server (0.1)Reading composer.json of league/oauth2-server (0.2)Reading composer.json of league/oauth2-server (0.2.1)Reading composer.json of league/oauth2-server (0.2.2)Reading composer.json of league/oauth2-server (0.2.3)Reading composer.json of league/oauth2-server (0.3) Reading composer.json of league/oauth2-server (0.3.1)Reading composer.json of league/oauth2-server (0.3.2)Reading composer.json of league/oauth2-server (0.3.3)Reading composer.json of league/oauth2-server (0.3.4)Reading composer.json of league/oauth2-server (0.3.5)Reading composer.json of league/oauth2-server (0.4) Reading composer.json of league/oauth2-server (0.4.1)Reading composer.json of league/oauth2-server (0.4.2)Reading composer.json of league/oauth2-server (1.0.0)Reading composer.json of league/oauth2-server (1.0.1)Reading composer.json of league/oauth2-server (1.0.2)Reading composer.json of league/oauth2-server (1.0.3)Reading composer.json of league/oauth2-server (1.0.4)Reading composer.json of league/oauth2-server (1.0.5)Reading composer.json of league/oauth2-server (1.0.6)Reading composer.json of league/oauth2-server (1.0.7)Reading composer.json of league/oauth2-server (1.0.8)Reading composer.json of league/oauth2-server (1.0.9)Reading composer.json of league/oauth2-server (2.0) Reading composer.json of league/oauth2-server (2.0.1)Reading composer.json of league/oauth2-server (2.0.2)Reading composer.json of league/oauth2-server (2.0.3)Reading composer.json of league/oauth2-server (2.0.4)Reading composer.json of league/oauth2-server (2.0.5)Reading composer.json of league/oauth2-server (2.1) Reading composer.json of league/oauth2-server (2.1.1)Reading composer.json of league/oauth2-server (2.1.2)Reading composer.json of league/oauth2-server (2.1.3)Reading composer.json of league/oauth2-server (3.0.0)Reading composer.json of league/oauth2-server (3.0.1)Reading composer.json of league/oauth2-server (3.1.0)Reading composer.json of league/oauth2-server (3.1.1)Reading composer.json of league/oauth2-server (3.1.2)Reading composer.json of league/oauth2-server (3.2) Reading composer.json of league/oauth2-server (3.2.1)Reading composer.json of league/oauth2-server (3.2.2)Reading composer.json of league/oauth2-server (3.2.3)Reading composer.json of league/oauth2-server (3.2.4)Reading composer.json of league/oauth2-server (4.0.0)Reading composer.json of league/oauth2-server (4.0.1)Reading composer.json of league/oauth2-server (4.0.2)Reading composer.json of league/oauth2-server (4.0.3)Reading composer.json of league/oauth2-server (4.0.4)Reading composer.json of league/oauth2-server (4.0.5)Reading composer.json of league/oauth2-server (4.1.0)Reading composer.json of league/oauth2-server (4.1.1)Reading composer.json of league/oauth2-server (4.1.2)Reading composer.json of league/oauth2-server (4.1.3)Reading composer.json of league/oauth2-server (4.1.4)Reading composer.json of league/oauth2-server (4.1.5)Reading composer.json of league/oauth2-server (4.1.6)Reading composer.json of league/oauth2-server (4.1.7)Reading composer.json of league/oauth2-server (5.0.0)Reading composer.json of league/oauth2-server (5.0.0-RC1)Reading composer.json of league/oauth2-server (5.0.0-RC2)Reading composer.json of league/oauth2-server (5.0.1) Reading composer.json of league/oauth2-server (5.0.2)Reading composer.json of league/oauth2-server (5.0.3)Reading composer.json of league/oauth2-server (5.1.0)Reading composer.json of league/oauth2-server (5.1.1)Reading composer.json of league/oauth2-server (5.1.2)Reading composer.json of league/oauth2-server (5.1.3)Reading composer.json of league/oauth2-server (5.1.4)Reading composer.json of league/oauth2-server (5.1.5)Reading composer.json of league/oauth2-server (5.1.6)Reading composer.json of league/oauth2-server (6.0.0)Reading composer.json of league/oauth2-server (6.0.1)Reading composer.json of league/oauth2-server (6.0.2)Reading composer.json of league/oauth2-server (6.1.0)Reading composer.json of league/oauth2-server (6.1.1)Reading composer.json of league/oauth2-server (7.0.0)Reading composer.json of league/oauth2-server (7.1.0)Reading composer.json of league/oauth2-server (7.1.1)Reading composer.json of league/oauth2-server (7.2.0)Reading composer.json of league/oauth2-server (7.3.0)Reading composer.json of league/oauth2-server (7.3.1)Reading composer.json of league/oauth2-server (7.3.2)Reading composer.json of league/oauth2-server (7.3.3)Reading composer.json of league/oauth2-server (7.4.0)Reading composer.json of league/oauth2-server (8.0.0)Reading composer.json of league/oauth2-server (8.1.0)Reading composer.json of league/oauth2-server (8.1.1)Reading composer.json of league/oauth2-server (8.2.0)Reading composer.json of league/oauth2-server (8.2.1)Reading composer.json of league/oauth2-server (8.2.2)Reading composer.json of league/oauth2-server (8.2.3)Reading composer.json of league/oauth2-server (8.2.4) Reading composer.json of league/oauth2-server (dev-issuer)Reading composer.json of league/oauth2-server (issuer) Reading composer.json of league/oauth2-server (master)Reading composer.json of league/oauth2-server (update_v9.0.0-alpha)Reading composer.json of league/oauth2-server (v9.0.0-alpha)  Warning from https://repo.packagist.org: Support for Composer 1 is deprecated and some packages will not be available. You should upgrade to Composer 2. See https://blog.packagist.com/deprecating-composer-1-support/
459
460./composer.json has been updated
461Loading composer repositories with package information
462
463Reading composer.json of league/oauth2-server (0.1) Reading composer.json of league/oauth2-server (0.2)Reading composer.json of league/oauth2-server (0.2.1)Reading composer.json of league/oauth2-server (0.2.2)Reading composer.json of league/oauth2-server (0.2.3)Reading composer.json of league/oauth2-server (0.3) Reading composer.json of league/oauth2-server (0.3.1)Reading composer.json of league/oauth2-server (0.3.2)Reading composer.json of league/oauth2-server (0.3.3)Reading composer.json of league/oauth2-server (0.3.4)Reading composer.json of league/oauth2-server (0.3.5)Reading composer.json of league/oauth2-server (0.4) Reading composer.json of league/oauth2-server (0.4.1)Reading composer.json of league/oauth2-server (0.4.2)Reading composer.json of league/oauth2-server (1.0.0)Reading composer.json of league/oauth2-server (1.0.1)Reading composer.json of league/oauth2-server (1.0.2)Reading composer.json of league/oauth2-server (1.0.3)Reading composer.json of league/oauth2-server (1.0.4)Reading composer.json of league/oauth2-server (1.0.5)Reading composer.json of league/oauth2-server (1.0.6)Reading composer.json of league/oauth2-server (1.0.7)Reading composer.json of league/oauth2-server (1.0.8)Reading composer.json of league/oauth2-server (1.0.9)Reading composer.json of league/oauth2-server (2.0) Reading composer.json of league/oauth2-server (2.0.1)Reading composer.json of league/oauth2-server (2.0.2)Reading composer.json of league/oauth2-server (2.0.3)Reading composer.json of league/oauth2-server (2.0.4)Reading composer.json of league/oauth2-server (2.0.5)Reading composer.json of league/oauth2-server (2.1) Reading composer.json of league/oauth2-server (2.1.1)Reading composer.json of league/oauth2-server (2.1.2)Reading composer.json of league/oauth2-server (2.1.3)Reading composer.json of league/oauth2-server (3.0.0)Reading composer.json of league/oauth2-server (3.0.1)Reading composer.json of league/oauth2-server (3.1.0)Reading composer.json of league/oauth2-server (3.1.1)Reading composer.json of league/oauth2-server (3.1.2)Reading composer.json of league/oauth2-server (3.2) Reading composer.json of league/oauth2-server (3.2.1)Reading composer.json of league/oauth2-server (3.2.2)Reading composer.json of league/oauth2-server (3.2.3)Reading composer.json of league/oauth2-server (3.2.4)Reading composer.json of league/oauth2-server (4.0.0)Reading composer.json of league/oauth2-server (4.0.1)Reading composer.json of league/oauth2-server (4.0.2)Reading composer.json of league/oauth2-server (4.0.3)Reading composer.json of league/oauth2-server (4.0.4)Reading composer.json of league/oauth2-server (4.0.5)Reading composer.json of league/oauth2-server (4.1.0)Reading composer.json of league/oauth2-server (4.1.1)Reading composer.json of league/oauth2-server (4.1.2)Reading composer.json of league/oauth2-server (4.1.3)Reading composer.json of league/oauth2-server (4.1.4)Reading composer.json of league/oauth2-server (4.1.5)Reading composer.json of league/oauth2-server (4.1.6)Reading composer.json of league/oauth2-server (4.1.7)Reading composer.json of league/oauth2-server (5.0.0)Reading composer.json of league/oauth2-server (5.0.0-RC1)Reading composer.json of league/oauth2-server (5.0.0-RC2)Reading composer.json of league/oauth2-server (5.0.1) Reading composer.json of league/oauth2-server (5.0.2)Reading composer.json of league/oauth2-server (5.0.3)Reading composer.json of league/oauth2-server (5.1.0)Reading composer.json of league/oauth2-server (5.1.1)Reading composer.json of league/oauth2-server (5.1.2)Reading composer.json of league/oauth2-server (5.1.3)Reading composer.json of league/oauth2-server (5.1.4)Reading composer.json of league/oauth2-server (5.1.5)Reading composer.json of league/oauth2-server (5.1.6)Reading composer.json of league/oauth2-server (6.0.0)Reading composer.json of league/oauth2-server (6.0.1)Reading composer.json of league/oauth2-server (6.0.2)Reading composer.json of league/oauth2-server (6.1.0)Reading composer.json of league/oauth2-server (6.1.1)Reading composer.json of league/oauth2-server (7.0.0)Reading composer.json of league/oauth2-server (7.1.0)Reading composer.json of league/oauth2-server (7.1.1)Reading composer.json of league/oauth2-server (7.2.0)Reading composer.json of league/oauth2-server (7.3.0)Reading composer.json of league/oauth2-server (7.3.1)Reading composer.json of league/oauth2-server (7.3.2)Reading composer.json of league/oauth2-server (7.3.3)Reading composer.json of league/oauth2-server (7.4.0)Reading composer.json of league/oauth2-server (8.0.0)Reading composer.json of league/oauth2-server (8.1.0)Reading composer.json of league/oauth2-server (8.1.1)Reading composer.json of league/oauth2-server (8.2.0)Reading composer.json of league/oauth2-server (8.2.1)Reading composer.json of league/oauth2-server (8.2.2)Reading composer.json of league/oauth2-server (8.2.3)Reading composer.json of league/oauth2-server (8.2.4) Reading composer.json of league/oauth2-server (dev-issuer)Reading composer.json of league/oauth2-server (issuer) Reading composer.json of league/oauth2-server (master)Reading composer.json of league/oauth2-server (update_v9.0.0-alpha)Reading composer.json of league/oauth2-server (v9.0.0-alpha)  Warning from https://repo.packagist.org: Support for Composer 1 is deprecated and some packages will not be available. You should upgrade to Composer 2. See https://blog.packagist.com/deprecating-composer-1-support/
464Updating dependencies (including require-dev)
465
466Dependency resolution completed in 0.017 seconds
467Analyzed 10732 packages to resolve dependencies
468Analyzed 11519 rules to resolve dependencies
469Dependency resolution completed in 0.001 seconds
470Package operations: 56 installs, 1 update, 0 removals
471Installs: doctrine/sql-formatter:1.1.1, giorgiosironi/eris:0.10.0, squizlabs/php_codesniffer:3.6.0, sebastian/diff:3.0.3, composer/spdx-licenses:1.5.4, mediawiki/mediawiki-codesniffer:v37.0.0, tysonandre/var_representation_polyfill:0.1.1, sabre/event:5.1.2, netresearch/jsonmapper:v4.0.0, microsoft/tolerant-php-parser:v0.1.1, phpdocumentor/reflection-common:2.2.0, webmozart/assert:1.10.0, phpdocumentor/type-resolver:1.4.0, phpdocumentor/reflection-docblock:5.2.2, felixfbecker/advanced-json-rpc:v3.2.1, composer/xdebug-handler:2.0.2, phan/phan:5.2.0, mediawiki/phan-taint-check-plugin:3.3.2, mediawiki/mediawiki-phan-config:0.11.0, php-parallel-lint/php-console-color:v0.3, php-parallel-lint/php-console-highlighter:v0.5, seld/jsonlint:1.8.3, hamcrest/hamcrest-php:v2.0.1, wmde/hamcrest-html-matchers:v1.0.0, doctrine/event-manager:1.1.1, doctrine/cache:1.12.1, doctrine/dbal:2.10.4, sebastian/version:2.0.1, sebastian/type:1.1.4, sebastian/resource-operations:2.0.2, sebastian/recursion-context:3.0.1, sebastian/object-reflector:1.1.2, sebastian/object-enumerator:3.0.4, sebastian/global-state:3.0.1, sebastian/exporter:3.1.3, sebastian/environment:4.2.4, sebastian/comparator:3.0.3, phpunit/php-timer:2.1.3, phpunit/php-text-template:1.2.1, phpunit/php-file-iterator:2.0.4, theseer/tokenizer:1.2.1, sebastian/code-unit-reverse-lookup:1.0.2, phpunit/php-token-stream:3.1.3, phpunit/php-code-coverage:7.0.15, doctrine/instantiator:1.4.0, phpspec/prophecy:1.14.0, myclabs/deep-copy:1.10.2, phar-io/version:3.1.0, phar-io/manifest:2.0.3, phpunit/phpunit:8.5.20, johnkary/phpunit-speedtrap:v3.3.0, php-parallel-lint/php-parallel-lint:v1.3.0, swaggest/json-diff:v3.8.1, phplang/scope-exit:1.0.0, swaggest/json-schema:v0.12.29, symfony/yaml:v5.3.6
472Updates: justinrainbow/json-schema:5.2.11
473 - Updating justinrainbow/json-schema (5.2.10 => 5.2.11): As there is no 'unzip' command installed zip files are being unpacked using the PHP zip extension.
474This may cause invalid reports of corrupted archives. Besides, any UNIX permissions (e.g. executable) defined in the archives will be lost.
475Installing 'unzip' may remediate them.
476Loading from cache
477 - Installing doctrine/sql-formatter (1.1.1): Loading from cache
478 Extracting archive - Installing giorgiosironi/eris (0.10.0): Loading from cache
479 Extracting archive - Installing squizlabs/php_codesniffer (3.6.0): Loading from cache
480 Extracting archive - Installing sebastian/diff (3.0.3): Loading from cache
481 Extracting archive - Installing composer/spdx-licenses (1.5.4): Loading from cache
482 Extracting archive - Installing mediawiki/mediawiki-codesniffer (v37.0.0): Loading from cache
483 Extracting archive - Installing tysonandre/var_representation_polyfill (0.1.1): Loading from cache
484 Extracting archive - Installing sabre/event (5.1.2): Loading from cache
485 Extracting archive - Installing netresearch/jsonmapper (v4.0.0): Loading from cache
486 Extracting archive - Installing microsoft/tolerant-php-parser (v0.1.1): Loading from cache
487 Extracting archive - Installing phpdocumentor/reflection-common (2.2.0): Loading from cache
488 Extracting archive - Installing webmozart/assert (1.10.0): Loading from cache
489 Extracting archive - Installing phpdocumentor/type-resolver (1.4.0): Loading from cache
490 Extracting archive - Installing phpdocumentor/reflection-docblock (5.2.2): Loading from cache
491 Extracting archive - Installing felixfbecker/advanced-json-rpc (v3.2.1): Loading from cache
492 Extracting archive - Installing composer/xdebug-handler (2.0.2): Loading from cache
493 Extracting archive - Installing phan/phan (5.2.0): Loading from cache
494 Extracting archive - Installing mediawiki/phan-taint-check-plugin (3.3.2): Loading from cache
495 Extracting archive - Installing mediawiki/mediawiki-phan-config (0.11.0): Loading from cache
496 Extracting archive - Installing php-parallel-lint/php-console-color (v0.3): Loading from cache
497 Extracting archive - Installing php-parallel-lint/php-console-highlighter (v0.5): Loading from cache
498 Extracting archive - Installing seld/jsonlint (1.8.3): Loading from cache
499 Extracting archive - Installing hamcrest/hamcrest-php (v2.0.1): Loading from cache
500 Extracting archive - Installing wmde/hamcrest-html-matchers (v1.0.0): Loading from cache
501 Extracting archive - Installing doctrine/event-manager (1.1.1): Loading from cache
502 Extracting archive - Installing doctrine/cache (1.12.1): Loading from cache
503 Extracting archive - Installing doctrine/dbal (2.10.4): Loading from cache
504 Extracting archive - Installing sebastian/version (2.0.1): Loading from cache
505 Extracting archive - Installing sebastian/type (1.1.4): Loading from cache
506 Extracting archive - Installing sebastian/resource-operations (2.0.2): Loading from cache
507
508 Extracting archive - Installing sebastian/recursion-context (3.0.1): Loading from cache
509 Extracting archive - Installing sebastian/object-reflector (1.1.2): Loading from cache
510 Extracting archive - Installing sebastian/object-enumerator (3.0.4): Loading from cache
511 Extracting archive - Installing sebastian/global-state (3.0.1): Loading from cache
512 Extracting archive - Installing sebastian/exporter (3.1.3): Loading from cache
513 Extracting archive - Installing sebastian/environment (4.2.4): Loading from cache
514 Extracting archive - Installing sebastian/comparator (3.0.3): Loading from cache
515 Extracting archive - Installing phpunit/php-timer (2.1.3): Loading from cache
516 Extracting archive - Installing phpunit/php-text-template (1.2.1): Loading from cache
517 Extracting archive - Installing phpunit/php-file-iterator (2.0.4): Loading from cache
518 Extracting archive - Installing theseer/tokenizer (1.2.1): Loading from cache
519 Extracting archive - Installing sebastian/code-unit-reverse-lookup (1.0.2): Loading from cache
520 Extracting archive - Installing phpunit/php-token-stream (3.1.3): Loading from cache
521 Extracting archive - Installing phpunit/php-code-coverage (7.0.15): Loading from cache
522 Extracting archive - Installing doctrine/instantiator (1.4.0): Loading from cache
523 Extracting archive - Installing phpspec/prophecy (1.14.0): Loading from cache
524 Extracting archive - Installing myclabs/deep-copy (1.10.2): Loading from cache
525 Extracting archive - Installing phar-io/version (3.1.0): Loading from cache
526 Extracting archive - Installing phar-io/manifest (2.0.3): Loading from cache
527 Extracting archive - Installing phpunit/phpunit (8.5.20): Loading from cache
528 Extracting archive - Installing johnkary/phpunit-speedtrap (v3.3.0): Loading from cache
529 Extracting archive - Installing php-parallel-lint/php-parallel-lint (v1.3.0): Loading from cache
530 Extracting archive - Installing swaggest/json-diff (v3.8.1): Loading from cache
531 Extracting archive - Installing phplang/scope-exit (1.0.0): Loading from cache
532 Extracting archive - Installing swaggest/json-schema (v0.12.29): Loading from cache
533 Extracting archive - Installing symfony/yaml (v5.3.6): Loading from cache
534 Extracting archivegiorgiosironi/eris suggests installing icomefromthenet/reverse-regex (v0.0.6.3 for the regex() Generator)
535tysonandre/var_representation_polyfill suggests installing ext-var_representation (*)
536phan/phan suggests installing ext-ast (Needed for parsing ASTs (unless --use-fallback-parser is used). 1.0.1+ is needed, 1.0.14+ is recommended.)
537phan/phan suggests installing ext-igbinary (Improves performance of polyfill when ext-ast is unavailable)
538phan/phan suggests installing ext-var_representation (Suggested for converting values to strings in issue messages)
539doctrine/cache suggests installing alcaeus/mongo-php-adapter (Required to use legacy MongoDB driver)
540sebastian/global-state suggests installing ext-uopz (*)
541phpunit/php-code-coverage suggests installing ext-xdebug (^2.7.2)
542phpunit/phpunit suggests installing phpunit/php-invoker (^2.0.0)
543phpunit/phpunit suggests installing ext-soap (*)
544phpunit/phpunit suggests installing ext-xdebug (*)
545Package guzzlehttp/ringphp is abandoned, you should avoid using it. No replacement was suggested.
546Package guzzlehttp/streams is abandoned, you should avoid using it. No replacement was suggested.
547Package phpunit/php-token-stream is abandoned, you should avoid using it. No replacement was suggested.
548Writing lock file
549Generating optimized autoload files
550
55152 packages you are using are looking for funding.
552Use the `composer fund` command to find out more!
553
554Generating optimized autoload files (authoritative)
555
556Generated optimized autoload files (authoritative) containing 6140 classes
557INFO:quibble.util:Copying /workspace/src/composer.json to /workspace/log/composer.core.json.txt
558INFO:quibble.util:Copying /workspace/src/vendor/composer.json to /workspace/log/composer.vendor.json.txt
559INFO:quibble.util:Copying /workspace/src/vendor/composer/autoload_files.php to /workspace/log/composer.autoload_files.php.txt
560INFO:quibble.commands:<<< Finish: Install composer dev-requires for vendor.git, in 46.277 s
561Start backends
562
563Hide Details
564INFO:quibble.commands:>>> Start: Start backends, <MySQL (no socket)>
565INFO:backend.MySQL:Starting MySQL
566INFO:backend.MySQL:Initializing MySQL data directory
567
568INFO:backend.MySQL:Waiting for MySQL socket
569INFO:backend.MySQL:Creating the wiki database and grant
570INFO:backend.MySQL:MySQL is ready
571INFO:quibble.commands:<<< Finish: Start backends, <MySQL (no socket)>, in 3.430 s
572Install MediaWiki
573
574Hide Details
575INFO:quibble.commands:>>> Start: Install MediaWiki, db=<MySQL /workspace/db/quibble-mysql-qpe2jj5c/socket> vendor=True
576INFO:mw.maintenance.install:php maintenance/install.php --scriptpath= --server=http://127.0.0.1:9412 --dbtype=mysql --dbname=wikidb --dbuser=wikiuser --dbpass=secret --dbserver=localhost:/workspace/db/quibble-mysql-qpe2jj5c/socket --with-extensions --pass=testwikijenkinspass TestWiki WikiAdmin
577PHP 7.2.34-18+0~20210223.60+debian10~1.gbpb21322+wmf1 is installed.
578Found ImageMagick: /usr/bin/convert. Image thumbnailing will be enabled if you enable uploads.
579Found the Git version control software: /usr/bin/git.
580Using server name "http://localhost".
581Using server URL "http://127.0.0.1:9412".
582Warning: Your default directory for uploads (/workspace/src/images/) is not checked for vulnerability to arbitrary script execution during the CLI install.
583Using the PHP intl extension for Unicode normalization.
584The environment has been checked. You can install MediaWiki.
585Including extensions
586done
587Setting up database
588done
589Creating tables, step one
590done
591Creating database user
592done
593Creating tables, step two
594done
595Populating default interwiki table
596done
597Initializing statistics
598done
599Generating secret keys
600done
601Prevent running unneeded updates
602done
603Restoring mediawiki services
604done
605Creating administrator user account
606done
607Creating main page with default content
608done
609Creating tables for enabled extensions
610Creating spoofuser table ...done.
611Creating babel table ...done.
612Modifying babel_lang field of table babel ...done.
613Modifying babel_level field of table babel ...done.
614Creating betafeatures_user_counts table ...done.
615Creating cu_changes table ...done.
616Creating cu_log table ...done.
617...index cuc_ip_hex_time already set on cu_changes table.
618...index cuc_user_ip_time already set on cu_changes table.
619...have cuc_private field in cu_changes table.
620Modifying cuc_id field of table cu_changes ...done.
621Creating echo_event table ...done.
622...echo_target_page table does not contain etp_user field.
623...index echo_notification_event already set on echo_notification table.
624...have event_deleted field in echo_event table.
625...index echo_notification_user_read_timestamp already set on echo_notification table.
626...index echo_target_page_page_event already set on echo_target_page table.
627...index echo_event_page_id already set on echo_event table.
628...user_event key doesn't exist.
629Running extensions/Echo/maintenance/updateEchoSchemaForSuppression.php...
630No event_page_title field, skipping migration from event_page_title to event_page_id
631done.
632...echo_event table does not contain event_page_namespace field.
633...echo_event table does not contain event_page_title field.
634...echo_notification table does not contain notification_bundle_base field.
635...echo_notification table does not contain notification_bundle_display_hash field.
636...echo_notification_user_hash_timestamp key doesn't exist.
637Creating echo_push_provider table ...done.
638Creating echo_push_topic table ...done.
639Creating echo_push_subscription table ...done.
640...echo_unread_wikis table does not exist, skipping modify field patch.
641Creating flow_revision table ...done.
642...have rev_last_edit_id field in flow_revision table.
643...have rev_mod_reason field in flow_revision table.
644...flow_summary_revision table does not exist, skipping modify field patch.
645...rev_comment field does not exist in flow_revision table, skipping modify field patch.
646Modifying workflow_id field of table flow_workflow ...done.
647...have workflow_type field in flow_workflow table.
648...workflow_user_id field does not exist in flow_workflow table, skipping modify field patch.
649Modifying workflow_wiki field of table flow_workflow ...done.
650...index flow_workflow_lookup already set on flow_workflow table.
651...index flow_topic_list_topic_id already set on flow_topic_list table.
652Modifying rev_change_type field of table flow_revision ...done.
653Modifying rc_source field of table recentchanges ...done.
654Modifying rev_change_type field of table flow_revision ...done.
655...have rev_user_ip field in flow_revision table.
656...have rev_user_wiki field in flow_revision table.
657...flow_tree_descendant_id_revisions key doesn't exist.
658...index flow_tree_descendant_rev_id already set on flow_tree_revision table.
659...flow_tree_revision table does not contain tree_orig_create_time field.
660...index flow_revision_user already set on flow_revision table.
661Modifying rev_user_ip field of table flow_revision ...done.
662...have rev_type_id field in flow_revision table.
663...flow_ext_ref table already exists.
664...flow_definition doesn't exist.
665...flow_workflow table does not contain workflow_user_ip field.
666...have rev_content_length field in flow_revision table.
667...flow_ext_ref_pk key doesn't exist.
668...index flow_workflow_update_timestamp already set on flow_workflow table.
669...have ref_src_wiki field in flow_wiki_ref table.
670...have ref_id field in flow_wiki_ref table.
671...flow_ext_ref_idx_v2 key doesn't exist.
672Modifying ref_target field of table flow_ext_ref ...done.
673...index flow_ext_ref_idx_v3 already set on flow_ext_ref table.
674...flow_topic_list_pk key doesn't exist.
675...flow_subscription doesn't exist.
676Modifying ref_src_wiki field of table flow_wiki_ref ...done.
677Modifying ref_src_wiki field of table flow_ext_ref ...done.
678Creating geo_tags table ...done.
679...coordinates are already DECIMAL in geo_tags.
680Creating global_preferences table ...done.
681...global_preferences_user_property key doesn't exist.
682Modifying gp_user field of table global_preferences ...done.
683Creating pr_index table ...done.
684Creating transcode table ...done.
685...index transcode_name_key already set on transcode table.
686Creating translate_sections table ...done.
687...have trs_order field in translate_sections table.
688Creating revtag table ...done.
689Creating translate_groupstats table ...done.
690...index trs_page_order already set on translate_sections table.
691...trs_page key doesn't exist.
692Creating translate_reviews table ...done.
693Creating translate_groupreviews table ...done.
694Creating translate_tms table ...done.
695Creating translate_metadata table ...done.
696Creating translate_messageindex table ...done.
697...index tgs_lang already set on translate_groupstats table.
698...have tgs_proofread field in translate_groupstats table.
699Creating translate_stash table ...done.
700...index PRIMARY already set on translate_reviews table.
701Creating translate_cache table ...done.
702Creating abuse_filter table ...done.
703...abuse_filter_log table does not contain afl_log_id field.
704...have afl_filter_id field in abuse_filter_log table.
705...index afl_wiki_timestamp already set on abuse_filter_log table.
706Creating growthexperiments_link_recommendations table ...done.
707Creating growthexperiments_link_submissions table ...done.
708Creating growthexperiments_mentee_data table ...done.
709Creating growthexperiments_mentor_mentee table ...done.
710...have gels_anchor_offset field in growthexperiments_link_submissions table.
711done
712Database was successfully set up
713MediaWiki has been successfully installed. You can now visit <http://127.0.0.1:9412> to view your wiki. If you have questions, check out our frequently asked questions list: <https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:FAQ> or use one of the support forums linked on that page.
714INFO:quibble.util:Copying /workspace/src/LocalSettings.php to /workspace/log/LocalSettings.php
715INFO:quibble.util:Copying /workspace/src/LocalSettings-installer.php to /workspace/log/LocalSettings-installer.php
716No syntax errors detected in /workspace/src/LocalSettings.php
717INFO:quibble.commands:mediawiki/vendor used. Skipping external dependencies
718INFO:mw.maintenance.update:php maintenance/update.php --quick --skip-external-dependencies
719
720MediaWiki 1.38.0-alpha Updater
721
722Skipping checking whether external dependencies are up to date, proceed at your own risk
723Going to run database updates for wikidb
724Depending on the size of your database this may take a while!
725...collations up-to-date.
726...index rc_name_type_patrolled_timestamp already set on recentchanges table.
727...rev_page_id index already non-unique.
728...pl_namespace, tl_namespace, il_to indices are already non-UNIQUE.
729...have ct_id field in change_tag table.
730Modifying rc_ip field of table recentchanges ...done.
731...have el_index_60 field in externallinks table.
732...ug_user_group key doesn't exist.
733...have ug_expiry field in user_groups table.
734Modifying img_media_type field of table image ...done.
735...ip_changes table already exists.
736...index PRIMARY already set on categorylinks table.
737...index PRIMARY already set on templatelinks table.
738...index PRIMARY already set on pagelinks table.
739...index PRIMARY already set on text table.
740...index PRIMARY already set on imagelinks table.
741...index PRIMARY already set on iwlinks table.
742...index PRIMARY already set on langlinks table.
743...index PRIMARY already set on log_search table.
744...index PRIMARY already set on module_deps table.
745...index PRIMARY already set on objectcache table.
746...index PRIMARY already set on querycache_info table.
747...index PRIMARY already set on site_stats table.
748...index PRIMARY already set on user_former_groups table.
749...index PRIMARY already set on user_properties table.
750...comment table already exists.
751...revision_comment_temp table already exists.
752...have ar_comment_id field in archive table.
753...have fa_description_id field in filearchive table.
754...img_description field does not exist in image table, skipping modify field patch.
755...have ipb_reason_id field in ipblocks table.
756...have log_comment_id field in logging table.
757...have oi_description_id field in oldimage table.
758...have pt_reason_id field in protected_titles table.
759...have rc_comment_id field in recentchanges table.
760...have img_description_id field in image table.
761Migrating comments to the 'comments' table, printing progress markers. For large
762databases, you may want to hit Ctrl-C and do this manually with
763maintenance/migrateComments.php.
764No need to migrate revision.rev_comment, field does not exist
765No need to migrate archive.ar_comment, field does not exist
766No need to migrate ipblocks.ipb_reason, field does not exist
767No need to migrate image.img_description, field does not exist
768No need to migrate oldimage.oi_description, field does not exist
769No need to migrate filearchive.fa_deleted_reason, field does not exist
770No need to migrate filearchive.fa_description, field does not exist
771No need to migrate recentchanges.rc_comment, field does not exist
772No need to migrate logging.log_comment, field does not exist
773No need to migrate protected_titles.pt_reason, field does not exist
774done.
775...index PRIMARY already set on l10n_cache table.
776...bot_passwords.bp_user is already unsigned int.
777...change_tag.ct_log_id is already unsigned int.
778...change_tag.ct_rev_id is already unsigned int.
779...page_restrictions.pr_user is already unsigned int.
780...user_newtalk.user_id is already unsigned int.
781...user_properties.up_user is already unsigned int.
782...change_tag.ct_rc_id is already unsigned int.
783...slots table already exists.
784...have slot_origin field in slots table.
785...content table already exists.
786...slot_roles table already exists.
787...content_models table already exists.
788...actor table already exists.
789...revision_actor_temp table already exists.
790...have ar_actor field in archive table.
791...have ipb_by_actor field in ipblocks table.
792...have img_actor field in image table.
793...have oi_actor field in oldimage table.
794...have fa_actor field in filearchive table.
795...have rc_actor field in recentchanges table.
796...have log_actor field in logging table.
797Migrating actors to the 'actor' table, printing progress markers. For large
798databases, you may want to hit Ctrl-C and do this manually with
799maintenance/migrateActors.php.
800Creating actor entries for all registered users
801... 1 - 3
802Completed actor creation, added 0 new actor(s)
803No need to migrate revision.rev_user, field does not exist
804No need to migrate archive.ar_user, field does not exist
805No need to migrate ipblocks.ipb_by, field does not exist
806No need to migrate image.img_user, field does not exist
807No need to migrate oldimage.oi_user, field does not exist
808No need to migrate filearchive.fa_user, field does not exist
809No need to migrate recentchanges.rc_user, field does not exist
810No need to migrate logging.log_user, field does not exist
811Beginning migration of log_search
812Completed migration, inserted 0 row(s) with 0 new actor(s), 0 error(s)
813done.
814Modifying table site_stats ...done.
815...index rc_namespace_title_timestamp already set on recentchanges table.
816...change_tag_def table already exists.
817Populating el_index_60 field, printing progress markers. For large
818databases, you may want to hit Ctrl-C and do this manually with
819maintenance/populateExternallinksIndex60.php.
820Populating externallinks.el_index_60...
821el_id 0 - 200 of 6
822Done, 0 rows updated.
823done.
824Removing 'externallinks.el_index_60' default value
825Running maintenance/deduplicateArchiveRevId.php...
826Deduplicating ar_rev_id...
827New install, nothing to do here.
828done.
829...have ct_tag_id field in change_tag table.
830...index ar_revid_uniq already set on archive table.
831Migrating revision data to the MCR 'slot' and 'content' tables, printing progress markers.
832For large databases, you may want to hit Ctrl-C and do this manually with
833maintenance/populateContentTables.php.
834Populating revision...
835No need to populate, revision.rev_text_id field does not exist
836Populating archive...
837No need to populate, archive.ar_text_id field does not exist
838Done. Processed 0 rows in 0.0056450366973877 seconds
839done.
840...index log_type_action already set on logging table.
841...type_action key doesn't exist.
842...index PRIMARY already set on interwiki table.
843...index PRIMARY already set on page_props table.
844...index PRIMARY already set on protected_titles table.
845...index PRIMARY already set on site_identifiers table.
846...index rc_this_oldid already set on recentchanges table.
847...transcache doesn't exist.
848Running maintenance/populateChangeTagDef.php...
849done.
850...change_tag_rc_tag key doesn't exist.
851...have ipb_sitewide field in ipblocks table.
852...ipblocks_restrictions table already exists.
853...change_tag table does not contain ct_tag field.
854...valid_tag doesn't exist.
855...tag_summary doesn't exist.
856...archive table does not contain ar_comment field.
857...ipblocks table does not contain ipb_reason field.
858...image table does not contain img_description field.
859...oldimage table does not contain oi_description field.
860...filearchive table does not contain fa_description field.
861...recentchanges table does not contain rc_comment field.
862...logging table does not contain log_comment field.
863...protected_titles table does not contain pt_reason field.
864Modifying table job ...done.
865...ar_usertext_timestamp key doesn't exist.
866...usertext_timestamp key doesn't exist.
867...archive table does not contain ar_user field.
868...ipblocks table does not contain ip_by field.
869...img_user_timestamp key doesn't exist.
870...image table does not contain img_user field.
871...oldimage table does not contain oi_user field.
872...filearchive table does not contain fa_user field.
873...recentchanges table does not contain rc_user field.
874...logging table does not contain log_user field.
875...index un_user_ip already set on user_newtalk table.
876...watchlist_expiry table already exists.
877Modifying page_restrictions field of table page ...done.
878...index ipb_address_unique already set on ipblocks table.
879...have rev_actor field in revision table.
880...archive table does not contain ar_text_id field.
881...lc_lang is up-to-date.
882...ll_lang is up-to-date.
883...site_language is up-to-date.
884...index ipb_address_unique on table ipblocks has no field ipb_anon_only; added.
885...ipb_address_unique index up-to-date.
886Modifying actor_name field of table actor ...done.
887Modifying site_global_key field of table sites ...done.
888Modifying iwl_prefix field of table iwlinks ...done.
889Modifying rd_title field of table redirect ...done.
890Modifying pl_title field of table pagelinks ...done.
891Modifying tl_title field of table templatelinks ...done.
892Modifying il_to field of table imagelinks ...done.
893Modifying ll_title field of table langlinks ...done.
894Modifying iwl_title field of table iwlinks ...done.
895Modifying cat_title field of table category ...done.
896Modifying qc_title field of table querycache ...done.
897Modifying qcc_title field of table querycachetwo ...done.
898Modifying wl_title field of table watchlist ...done.
899Modifying user_last_timestamp field of table user_newtalk ...done.
900Modifying pt_title field of table protected_titles ...done.
901Removing 'protected_titles.pt_expiry' default value
902Removing 'ip_changes.ipc_rev_timestamp' default value
903Removing 'revision_actor_temp.revactor_timestamp' default value
904Modifying ir_type field of table ipblocks_restrictions ...done.
905...index wl_namespace_title already set on watchlist table.
906Modifying job_title field of table job ...done.
907Modifying job_timestamp field of table job ...done.
908Modifying job_token_timestamp field of table job ...done.
909Modifying wl_notificationtimestamp field of table watchlist ...done.
910Modifying role_id field of table slot_roles ...done.
911Modifying model_id field of table content_models ...done.
912Modifying cl_to field of table categorylinks ...done.
913Modifying log_title field of table logging ...done.
914Modifying us_timestamp field of table uploadstash ...done.
915...index up_property already set on user_properties table.
916...index site_global_key already set on sites table.
917...index log_type_time already set on logging table.
918Modifying fa_name field of table filearchive ...done.
919Removing 'filearchive.fa_deleted_timestamp' default value
920Removing 'filearchive.fa_timestamp' default value
921Modifying oi_name field of table oldimage ...done.
922Removing 'oldimage.oi_timestamp' default value
923Modifying exptime field of table objectcache ...done.
924Removing 'ipblocks.ipb_timestamp' default value
925Removing 'ipblocks.ipb_expiry' default value
926...index ar_name_title_timestamp already set on archive table.
927Modifying img_name field of table image ...done.
928Removing 'image.img_timestamp' default value
929Modifying img_timestamp field of table image ...done.
930...index si_key already set on site_identifiers table.
931Modifying rc_title field of table recentchanges ...done.
932Removing 'recentchanges.rc_timestamp' default value
933Modifying rc_timestamp field of table recentchanges ...done.
934Modifying rc_id field of table recentchanges ...done.
935...index rc_new_name_timestamp already set on recentchanges table.
936Removing 'archive.ar_timestamp' default value
937Modifying ar_title field of table archive ...done.
938Modifying page_title field of table page ...done.
939Removing 'page.page_touched' default value
940Modifying user_name field of table user ...done.
941...index rev_page_timestamp already set on revision table.
942...have modtoken field in objectcache table.
943Removing 'revision.rev_timestamp' default value
944...index oi_timestamp already set on oldimage table.
945...index page_name_title already set on page table.
946...index ct_rc_tag_id already set on change_tag table.
947...spoofuser table already exists.
948...babel table already exists.
949...babel_lang in table babel already modified by patch /workspace/src/extensions/Babel/sql/babel-babel_lang-length-type.sql.
950...babel_level in table babel already modified by patch /workspace/src/extensions/Babel/sql/babel-babel_level-type.sql.
951...betafeatures_user_counts table already exists.
952...cu_changes table already exists.
953...cu_log table already exists.
954...index cuc_ip_hex_time already set on cu_changes table.
955...index cuc_user_ip_time already set on cu_changes table.
956...have cuc_private field in cu_changes table.
957...cuc_id in table cu_changes already modified by patch /workspace/src/extensions/CheckUser/src/../archives/patch-cu_changes-cuc_id-unsigned.sql.
958Creating cx_translations table ...done.
959Creating cx_translators table ...done.
960Creating cx_lists table ...done.
961Creating cx_suggestions table ...done.
962Creating cx_corpora table ...done.
963Creating cx_notification_log table ...done.
964...have translation_cx_version field in cx_translations table.
965...cx_translation_pair key doesn't exist.
966...index cx_translation_ref already set on cx_translations table.
967...have cxn_wiki_id field in cx_notification_log table.
968...echo_event table already exists.
969...echo_target_page table does not contain etp_user field.
970...index echo_notification_event already set on echo_notification table.
971...have event_deleted field in echo_event table.
972...index echo_notification_user_read_timestamp already set on echo_notification table.
973...index echo_target_page_page_event already set on echo_target_page table.
974...index echo_event_page_id already set on echo_event table.
975...user_event key doesn't exist.
976Running extensions/Echo/maintenance/updateEchoSchemaForSuppression.php...
977...Update 'UpdateEchoSchemaForSuppression' already logged as completed. Use --force to run it again.
978done.
979...echo_event table does not contain event_page_namespace field.
980...echo_event table does not contain event_page_title field.
981...echo_notification table does not contain notification_bundle_base field.
982...echo_notification table does not contain notification_bundle_display_hash field.
983...echo_notification_user_hash_timestamp key doesn't exist.
984...echo_push_provider table already exists.
985...echo_push_topic table already exists.
986...echo_push_subscription table already exists.
987...echo_unread_wikis table does not exist, skipping modify field patch.
988...flow_revision table already exists.
989...have rev_last_edit_id field in flow_revision table.
990...have rev_mod_reason field in flow_revision table.
991...flow_summary_revision table does not exist, skipping modify field patch.
992...rev_comment field does not exist in flow_revision table, skipping modify field patch.
993...workflow_id in table flow_workflow already modified by patch /workspace/src/extensions/Flow/db_patches/patch-88bit_uuids.sql.
994...have workflow_type field in flow_workflow table.
995...workflow_user_id field does not exist in flow_workflow table, skipping modify field patch.
996...workflow_wiki in table flow_workflow already modified by patch /workspace/src/extensions/Flow/db_patches/patch-increase_width_wiki_fields.sql.
997...index flow_workflow_lookup already set on flow_workflow table.
998...index flow_topic_list_topic_id already set on flow_topic_list table.
999...rev_change_type in table flow_revision already modified by patch /workspace/src/extensions/Flow/db_patches/patch-rev_change_type_update.sql.
1000...rc_source in table recentchanges already modified by patch /workspace/src/extensions/Flow/db_patches/patch-rc_source.sql.
1001...rev_change_type in table flow_revision already modified by patch /workspace/src/extensions/Flow/db_patches/patch-censor_to_suppress.sql.
1002...have rev_user_ip field in flow_revision table.
1003...have rev_user_wiki field in flow_revision table.
1004...flow_tree_descendant_id_revisions key doesn't exist.
1005...index flow_tree_descendant_rev_id already set on flow_tree_revision table.
1006...flow_tree_revision table does not contain tree_orig_create_time field.
1007...index flow_revision_user already set on flow_revision table.
1008...rev_user_ip in table flow_revision already modified by patch /workspace/src/extensions/Flow/db_patches/patch-revision_user_ip.sql.
1009...have rev_type_id field in flow_revision table.
1010...flow_ext_ref table already exists.
1011...flow_definition doesn't exist.
1012...flow_workflow table does not contain workflow_user_ip field.
1013...have rev_content_length field in flow_revision table.
1014...flow_ext_ref_pk key doesn't exist.
1015...index flow_workflow_update_timestamp already set on flow_workflow table.
1016...have ref_src_wiki field in flow_wiki_ref table.
1017...have ref_id field in flow_wiki_ref table.
1018...flow_ext_ref_idx_v2 key doesn't exist.
1019...ref_target in table flow_ext_ref already modified by patch /workspace/src/extensions/Flow/db_patches/patch-ref_target_not_null.sql.
1020...index flow_ext_ref_idx_v3 already set on flow_ext_ref table.
1021...flow_topic_list_pk key doesn't exist.
1022...flow_subscription doesn't exist.
1023...ref_src_wiki in table flow_wiki_ref already modified by patch /workspace/src/extensions/Flow/db_patches/patch-increase-varchar-flow_wiki_ref-ref_src_wiki.sql.
1024...ref_src_wiki in table flow_ext_ref already modified by patch /workspace/src/extensions/Flow/db_patches/patch-increase-varchar-flow_ext_ref-ref_src_wiki.sql.
1025...geo_tags table already exists.
1026...coordinates are already DECIMAL in geo_tags.
1027...global_preferences table already exists.
1028...global_preferences_user_property key doesn't exist.
1029...gp_user in table global_preferences already modified by patch /workspace/src/extensions/GlobalPreferences/sql//patch-gp_user.sql.
1030...pr_index table already exists.
1031...transcode table already exists.
1032...index transcode_name_key already set on transcode table.
1033...translate_sections table already exists.
1034...have trs_order field in translate_sections table.
1035...revtag table already exists.
1036...translate_groupstats table already exists.
1037...index trs_page_order already set on translate_sections table.
1038...trs_page key doesn't exist.
1039...translate_reviews table already exists.
1040...translate_groupreviews table already exists.
1041...translate_tms table already exists.
1042...translate_metadata table already exists.
1043...translate_messageindex table already exists.
1044...index tgs_lang already set on translate_groupstats table.
1045...have tgs_proofread field in translate_groupstats table.
1046...translate_stash table already exists.
1047...index PRIMARY already set on translate_reviews table.
1048...translate_cache table already exists.
1049...abuse_filter table already exists.
1050...abuse_filter_log table does not contain afl_log_id field.
1051...have afl_filter_id field in abuse_filter_log table.
1052...index afl_wiki_timestamp already set on abuse_filter_log table.
1053...growthexperiments_link_recommendations table already exists.
1054...growthexperiments_link_submissions table already exists.
1055...growthexperiments_mentee_data table already exists.
1056...growthexperiments_mentor_mentee table already exists.
1057...have gels_anchor_offset field in growthexperiments_link_submissions table.
1058Creating wb_changes table ...done.
1059Creating wb_changes_dispatch table ...done.
1060Creating wb_id_counters table ...done.
1061Creating wb_items_per_site table ...done.
1062Modifying ips_site_page field of table wb_items_per_site ...done.
1063...wb_ips_site_page key doesn't exist.
1064Modifying change_info field of table wb_changes ...done.
1065Creating wb_property_info table ...done.
1066Creating wbt_text table ...done.
1067...wb_terms doesn't exist.
1068Creating wb_changes_subscription table ...done.
1069...wb_changes_change_type key doesn't exist.
1070Modifying chd_seen field of table wb_changes_dispatch ...done.
1071Creating wbc_entity_usage table ...done.
1072 Filling usage table: processed 0 pages, starting with page #0.
1073...site_stats is populated...done.
1074Checking existence of old default messages...done.
1075Populating rev_len column
1076...doing rev_id from 1 to 200
1077Populating ar_len column
1078...archive table seems to be empty.
1079rev_len and ar_len population complete [0 revision rows, 0 archive rows].
1080Populating rev_sha1 column
1081...doing rev_id from 1 to 200
1082Populating ar_sha1 column
1083...archive table seems to be empty.
1084Populating ar_sha1 column legacy rows
1085rev_sha1 and ar_sha1 population complete [0 revision rows, 0 archive rows].
1086Populating img_sha1 field
1087
1088Done 0 files in 0.0 seconds
1089Fixing protocol-relative entries in the externallinks table...
1090Done, 0 rows updated.
1091Populating fa_sha1 field from fa_storage_key
1092
1093Done 0 files in 0.0 seconds
1094Updating *_from_namespace fields in links tables.
1095...doing page_id from 1 to 200
1096Adding empty categories with description pages...
1097Removing empty categories without description pages...
1098Category cleanup complete.
1099Populating page_props.pp_sortkey...
1100Populating page_props.pp_sortkey complete.
1101Updated a total of 0 rows
1102Copying IP revisions to ip_changes, from rev_id 0 to rev_id 1
1103Attempted to insert 0 IP revisions, 0 actually done.
1104Updating externallinks table index fields
1105el_id 0 - 6 of 6
1106Done, 0 rows updated, 0 deleted.
1107Removing orphaned echo_event rows...
1108Removing any remaining orphaned echo_target_page rows...
1109Populating links tables...
1110Completed
1111Updated 0 workflows
1112
1113Warnings: 0
1114Array
1115(
1116)
1117
1118
1119Failed: 0
1120Array
1121(
1122)
1123Removed 0 links to special pages.
1124Completed
1125Completed
1126Update of the content model for Page: pages is done.
1127Updating content model for Index: pages..
1128Update of the content model for Index: pages is done.
1129No throttle parameters to normalize.
1130Throttle parameters successfully normalized. Changed 0 rows.
1131MediaWiki\Extension\AbuseFilter\Maintenance\FixOldLogEntries deleted 0 rows.
1132MediaWiki\Extension\AbuseFilter\Maintenance\FixOldLogEntries updated newlines for 0 rows.
1133MediaWiki\Extension\AbuseFilter\Maintenance\FixOldLogEntries updated fields for 0 rows.
1134...the abuse_filter_log table is empty.
1135... processing afl_id's from 1 to 500
1136No rows to change
1137... processing users from 1 to 200
1138Updated 0 rows...
1139Script finished
1140---------------------
1141Updated 0 rows
1142Purging caches...done.
1143
1144Done in 1.4 s.
1145INFO:mw.maintenance.rebuildLocalisationCache:php maintenance/rebuildLocalisationCache.php --lang en
1146
1147Rebuilding en...
11481 languages rebuilt out of 1
1149INFO:quibble.commands:<<< Finish: Install MediaWiki, db=<MySQL /workspace/db/quibble-mysql-qpe2jj5c/socket> vendor=True, in 3.221 s
1150npm install in /workspace/src
1151
1152Hide Details
1153INFO:quibble.commands:>>> Start: npm install in /workspace/src
1154
1155
1156> core-js-pure@3.17.3 postinstall /workspace/src/node_modules/core-js-pure
1157> node -e "try{require('./postinstall')}catch(e){}"
1158
1159
1160> core-js@3.14.0 postinstall /workspace/src/node_modules/core-js
1161> node -e "try{require('./postinstall')}catch(e){}"
1162
1163
1164> fibers@5.0.0 install /workspace/src/node_modules/fibers
1165> node build.js || nodejs build.js
1166
1167make: Entering directory '/workspace/src/node_modules/fibers/build'
1168 CXX(target) Release/obj.target/fibers/src/fibers.o
1169
1170../src/fibers.cc: In function ‘void uni::SetAccessor(v8::Isolate*, v8::Local<v8::Object>, v8::Local<v8::String>, uni::FunctionType (*)(v8::Local<v8::String>, const GetterCallbackInfo&), void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const SetterCallbackInfo&))’:
1171../src/fibers.cc:355:87: warning: cast between incompatible function types from ‘uni::FunctionType (*)(v8::Local<v8::String>, const GetterCallbackInfo&)’ {aka ‘void (*)(v8::Local<v8::String>, const v8::PropertyCallbackInfo<v8::Value>&)’} to ‘v8::AccessorNameGetterCallback’ {aka ‘void (*)(v8::Local<v8::Name>, const v8::PropertyCallbackInfo<v8::Value>&)’} [-Wcast-function-type]
1172 object->SetAccessor(isolate->GetCurrentContext(), name, (AccessorNameGetterCallback)getter, (AccessorNameSetterCallback)setter).ToChecked();
1173 ^~~~~~
1174../src/fibers.cc:355:123: warning: cast between incompatible function types from ‘void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const SetterCallbackInfo&)’ {aka ‘void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const v8::PropertyCallbackInfo<void>&)’} to ‘v8::AccessorNameSetterCallback’ {aka ‘void (*)(v8::Local<v8::Name>, v8::Local<v8::Value>, const v8::PropertyCallbackInfo<void>&)’} [-Wcast-function-type]
1175 object->SetAccessor(isolate->GetCurrentContext(), name, (AccessorNameGetterCallback)getter, (AccessorNameSetterCallback)setter).ToChecked();
1176 ^~~~~~
1177In file included from ../src/coroutine.h:1,
1178 from ../src/fibers.cc:1:
1179../src/fibers.cc: At global scope:
1180/cache/node-gyp/10.24.0/include/node/node.h:573:43: warning: cast between incompatible function types from ‘void (*)(v8::Local<v8::Object>)’ to ‘node::addon_register_func’ {aka ‘void (*)(v8::Local<v8::Object>, v8::Local<v8::Value>, void*)’} [-Wcast-function-type]
1181 (node::addon_register_func) (regfunc), \
1182 ^
1183/cache/node-gyp/10.24.0/include/node/node.h:607:3: note: in expansion of macro ‘NODE_MODULE_X’
1184 NODE_MODULE_X(modname, regfunc, NULL, 0) // NOLINT (readability/null_usage)
1185 ^~~~~~~~~~~~~
1186../src/fibers.cc:930:1: note: in expansion of macro ‘NODE_MODULE’
1187 NODE_MODULE(fibers, init)
1188 ^~~~~~~~~~~
1189 CXX(target) Release/obj.target/fibers/src/coroutine.o
1190
1191 CC(target) Release/obj.target/fibers/src/libcoro/coro.o
1192 SOLINK_MODULE(target) Release/obj.target/fibers.node
1193 COPY Release/fibers.node
1194make: Leaving directory '/workspace/src/node_modules/fibers/build'
1195Installed in `/workspace/src/node_modules/fibers/bin/linux-x64-64-glibc/fibers.node`
1196added 1123 packages in 18.717s
1197INFO:quibble.commands:<<< Finish: npm install in /workspace/src, in 20.110 s
1198Run tests in mediawiki/core:
1199
1200Hide Details
1201INFO:quibble.commands:>>> Start: Run tests in mediawiki/core:
1202INFO:quibble.commands:<<< Finish: Run tests in mediawiki/core: , in 0.123 s
1203Start backends
1204
1205Hide Details
1206INFO:quibble.commands:>>> Start: Start backends, <PhpWebserver http://127.0.0.1:9412 /workspace/src> <Xvfb :94> <ChromeWebDriver :94>
1207INFO:backend.Xvfb:Starting Xvfb on display :94
1208INFO:backend.ChromeWebDriver:Starting Chromedriver
1209INFO:quibble.use_headless:Display: :94
1210DEBUG:quibble.chromium_flags:Flags: ['', '--autoplay-policy=no-user-gesture-required', '--disable-pushstate-throttle', '--no-sandbox']
1211INFO:quibble.commands:<<< Finish: Start backends, <PhpWebserver http://127.0.0.1:9412 /workspace/src> <Xvfb :94> <ChromeWebDriver :94>, in 0.119 s
1212Browser tests for projects mediawiki/core
1213
1214Hide Details
1215INFO:quibble.commands:>>> Start: Browser tests for projects mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/Babel, mediawiki/extensions/BetaFeatures, mediawiki/extensions/CheckUser, mediawiki/extensions/CirrusSearch, mediawiki/extensions/Cite, mediawiki/extensions/CiteThisPage, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/ContentTranslation, mediawiki/extensions/Disambiguator, mediawiki/extensions/Echo, mediawiki/extensions/Elastica, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FileImporter, mediawiki/extensions/Flow, mediawiki/extensions/Gadgets, mediawiki/extensions/GeoData, mediawiki/extensions/GlobalCssJs, mediawiki/extensions/GlobalPreferences, mediawiki/extensions/Graph, mediawiki/extensions/GrowthExperiments, mediawiki/extensions/GuidedTour, mediawiki/extensions/ImageMap, mediawiki/extensions/InputBox, mediawiki/extensions/Interwiki, mediawiki/extensions/JsonConfig, mediawiki/extensions/Kartographer, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/NavigationTiming, mediawiki/extensions/PageImages, mediawiki/extensions/PageViewInfo, mediawiki/extensions/ParserFunctions, mediawiki/extensions/PdfHandler, mediawiki/extensions/Poem, mediawiki/extensions/ProofreadPage, mediawiki/extensions/SandboxLink, mediawiki/extensions/Scribunto, mediawiki/extensions/SiteMatrix, mediawiki/extensions/SpamBlacklist, mediawiki/extensions/TemplateData, mediawiki/extensions/Thanks, mediawiki/extensions/TimedMediaHandler, mediawiki/extensions/Translate, mediawiki/extensions/UniversalLanguageSelector, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/Wikibase, mediawiki/extensions/WikibaseCirrusSearch, mediawiki/extensions/WikibaseMediaInfo, mediawiki/extensions/WikimediaMessages, mediawiki/extensions/cldr, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor
1216INFO:quibble.commands:Running webdriver test in /workspace/src
1217WARNING:backend.ChromeWebDriver:[1631785732.244][SEVERE]: bind() failed: Cannot assign requested address (99)
1218
1219npm WARN prepare removing existing node_modules/ before installation
1220
1221
1222> core-js-pure@3.17.3 postinstall /workspace/src/node_modules/core-js-pure
1223> node -e "try{require('./postinstall')}catch(e){}"
1224
1225
1226> core-js@3.14.0 postinstall /workspace/src/node_modules/core-js
1227> node -e "try{require('./postinstall')}catch(e){}"
1228
1229
1230> fibers@5.0.0 install /workspace/src/node_modules/fibers
1231> node build.js || nodejs build.js
1232
1233make: Entering directory '/workspace/src/node_modules/fibers/build'
1234 CXX(target) Release/obj.target/fibers/src/fibers.o
1235../src/fibers.cc: In function ‘void uni::SetAccessor(v8::Isolate*, v8::Local<v8::Object>, v8::Local<v8::String>, uni::FunctionType (*)(v8::Local<v8::String>, const GetterCallbackInfo&), void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const SetterCallbackInfo&))’:
1236../src/fibers.cc:355:87: warning: cast between incompatible function types from ‘uni::FunctionType (*)(v8::Local<v8::String>, const GetterCallbackInfo&)’ {aka ‘void (*)(v8::Local<v8::String>, const v8::PropertyCallbackInfo<v8::Value>&)’} to ‘v8::AccessorNameGetterCallback’ {aka ‘void (*)(v8::Local<v8::Name>, const v8::PropertyCallbackInfo<v8::Value>&)’} [-Wcast-function-type]
1237 object->SetAccessor(isolate->GetCurrentContext(), name, (AccessorNameGetterCallback)getter, (AccessorNameSetterCallback)setter).ToChecked();
1238 ^~~~~~
1239../src/fibers.cc:355:123: warning: cast between incompatible function types from ‘void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const SetterCallbackInfo&)’ {aka ‘void (*)(v8::Local<v8::String>, v8::Local<v8::Value>, const v8::PropertyCallbackInfo<void>&)’} to ‘v8::AccessorNameSetterCallback’ {aka ‘void (*)(v8::Local<v8::Name>, v8::Local<v8::Value>, const v8::PropertyCallbackInfo<void>&)’} [-Wcast-function-type]
1240 object->SetAccessor(isolate->GetCurrentContext(), name, (AccessorNameGetterCallback)getter, (AccessorNameSetterCallback)setter).ToChecked();
1241 ^~~~~~
1242In file included from ../src/coroutine.h:1,
1243 from ../src/fibers.cc:1:
1244../src/fibers.cc: At global scope:
1245/cache/node-gyp/10.24.0/include/node/node.h:573:43: warning: cast between incompatible function types from ‘void (*)(v8::Local<v8::Object>)’ to ‘node::addon_register_func’ {aka ‘void (*)(v8::Local<v8::Object>, v8::Local<v8::Value>, void*)’} [-Wcast-function-type]
1246 (node::addon_register_func) (regfunc), \
1247 ^
1248/cache/node-gyp/10.24.0/include/node/node.h:607:3: note: in expansion of macro ‘NODE_MODULE_X’
1249 NODE_MODULE_X(modname, regfunc, NULL, 0) // NOLINT (readability/null_usage)
1250 ^~~~~~~~~~~~~
1251../src/fibers.cc:930:1: note: in expansion of macro ‘NODE_MODULE’
1252 NODE_MODULE(fibers, init)
1253 ^~~~~~~~~~~
1254 CXX(target) Release/obj.target/fibers/src/coroutine.o
1255
1256 CC(target) Release/obj.target/fibers/src/libcoro/coro.o
1257 SOLINK_MODULE(target) Release/obj.target/fibers.node
1258 COPY Release/fibers.node
1259make: Leaving directory '/workspace/src/node_modules/fibers/build'
1260Installed in `/workspace/src/node_modules/fibers/bin/linux-x64-64-glibc/fibers.node`
1261added 1123 packages in 21.087s
1262
1263
1264Selenium mediawiki-core
1265
1266Hide Details
1267> @ selenium-test /workspace/src
1268> wdio ./tests/selenium/wdio.conf.js
1269
1270/workspace/src/node_modules/@wdio/cli/node_modules/yargs/build/index.cjs:1
1271"use strict";var t=require("assert");class e extends Error{constructor(t){super(t||"yargs error"),this.name="YError",Error.captureStackTrace(this,e)}}let s,n=[];function i(t,o,a,h){s=h;let l={};if(Object.prototype.hasOwnProperty.call(t,"extends")){if("string"!=typeof t.extends)return l;const r=/\.json|\..*rc$/.test(t.extends);let h=null;if(r)h=function(t,e){return s.path.resolve(t,e)}(o,t.extends);else try{h=require.resolve(t.extends)}catch(e){return t}!function(t){if(n.indexOf(t)>-1)throw new e(`Circular extended configurations: '${t}'.`)}(h),n.push(h),l=r?JSON.parse(s.readFileSync(h,"utf8")):require(t.extends),delete t.extends,l=i(l,s.path.dirname(h),a,s)}return n=[],a?r(l,t):Object.assign({},l,t)}function r(t,e){const s={};function n(t){return t&&"object"==typeof t&&!Array.isArray(t)}Object.assign(s,t);for(const i of Object.keys(e))n(e[i])&&n(s[i])?s[i]=r(t[i],e[i]):s[i]=e[i];return s}function o(t){const e=t.replace(/\s{2,}/g," ")
1272
1273Error: yargs supports a minimum Node.js version of 12. Read our version support policy: https://github.com/yargs/yargs#supported-nodejs-versions
1274 at Object.<anonymous> (/workspace/src/node_modules/@wdio/cli/node_modules/yargs/build/index.cjs:1:57316)
1275 at Module._compile (internal/modules/cjs/loader.js:778:30)
1276 at Object.Module._extensions..js (internal/modules/cjs/loader.js:789:10)
1277 at Module.load (internal/modules/cjs/loader.js:653:32)
1278 at tryModuleLoad (internal/modules/cjs/loader.js:593:12)
1279 at Function.Module._load (internal/modules/cjs/loader.js:585:3)
1280 at Module.require (internal/modules/cjs/loader.js:692:17)
1281 at require (internal/modules/cjs/helpers.js:25:18)
1282 at Object.<anonymous> (/workspace/src/node_modules/@wdio/cli/node_modules/yargs/index.cjs:5:30)
1283 at Module._compile (internal/modules/cjs/loader.js:778:30)
1284npm ERR! code ELIFECYCLE
1285npm ERR! errno 1
1286npm ERR! @ selenium-test: `wdio ./tests/selenium/wdio.conf.js`
1287npm ERR! Exit status 1
1288npm ERR!
1289npm ERR! Failed at the @ selenium-test script.
1290npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
1291
1292npm ERR! A complete log of this run can be found in:
1293npm ERR! /cache/npm/_logs/2021-09-16T09_49_16_239Z-debug.log
1294INFO:quibble.commands:<<< Finish: Browser tests for projects mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/Babel, mediawiki/extensions/BetaFeatures, mediawiki/extensions/CheckUser, mediawiki/extensions/CirrusSearch, mediawiki/extensions/Cite, mediawiki/extensions/CiteThisPage, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/ContentTranslation, mediawiki/extensions/Disambiguator, mediawiki/extensions/Echo, mediawiki/extensions/Elastica, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FileImporter, mediawiki/extensions/Flow, mediawiki/extensions/Gadgets, mediawiki/extensions/GeoData, mediawiki/extensions/GlobalCssJs, mediawiki/extensions/GlobalPreferences, mediawiki/extensions/Graph, mediawiki/extensions/GrowthExperiments, mediawiki/extensions/GuidedTour, mediawiki/extensions/ImageMap, mediawiki/extensions/InputBox, mediawiki/extensions/Interwiki, mediawiki/extensions/JsonConfig, mediawiki/extensions/Kartographer, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/NavigationTiming, mediawiki/extensions/PageImages, mediawiki/extensions/PageViewInfo, mediawiki/extensions/ParserFunctions, mediawiki/extensions/PdfHandler, mediawiki/extensions/Poem, mediawiki/extensions/ProofreadPage, mediawiki/extensions/SandboxLink, mediawiki/extensions/Scribunto, mediawiki/extensions/SiteMatrix, mediawiki/extensions/SpamBlacklist, mediawiki/extensions/TemplateData, mediawiki/extensions/Thanks, mediawiki/extensions/TimedMediaHandler, mediawiki/extensions/Translate, mediawiki/extensions/UniversalLanguageSelector, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/Wikibase, mediawiki/extensions/WikibaseCirrusSearch, mediawiki/extensions/WikibaseMediaInfo, mediawiki/extensions/WikimediaMessages, mediawiki/extensions/cldr, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor, in 24.031 s
1295INFO:backend.ChromeWebDriver:Terminating ChromeWebDriver
1296INFO:backend.Xvfb:Terminating Xvfb
1297INFO:backend.PhpWebserver:Terminating PhpWebserver
1298INFO:backend.MySQL:Terminating MySQL
1299
1300Traceback (most recent call last):
1301 File "/usr/local/bin/quibble", line 10, in <module>
1302 sys.exit(main())
1303 File "/usr/local/lib/python3.7/dist-packages/quibble/cmd.py", line 653, in main
1304 cmd.execute(plan, dry_run=args.dry_run)
1305 File "/usr/local/lib/python3.7/dist-packages/quibble/cmd.py", line 410, in execute
1306 quibble.commands.execute_command(command)
1307 File "/usr/local/lib/python3.7/dist-packages/quibble/commands.py", line 22, in execute_command
1308 command.execute()
1309 File "/usr/local/lib/python3.7/dist-packages/quibble/commands.py", line 824, in execute
1310 self._run_webdriver(project_dir)
1311 File "/usr/local/lib/python3.7/dist-packages/quibble/commands.py", line 843, in _run_webdriver
1312 ['npm', 'run', 'selenium-test'], cwd=project_dir, env=webdriver_env
1313 File "/usr/lib/python3.7/subprocess.py", line 347, in check_call
1314 raise CalledProcessError(retcode, cmd)
1315subprocess.CalledProcessError: Command '['npm', 'run', 'selenium-test']' returned non-zero exit status 1.
1316
1317Build step 'Execute shell' marked build as failure
1318
1319Recording test results
1320[Checks API] No suitable checks publisher found.
1321[PostBuildScript] - [INFO] Executing post build scripts.
1322[wmf-quibble-selenium-php72-docker] $ /bin/bash -xe /tmp/jenkins9282594310838941832.sh
1323+ find log/ -name 'junit*.xml' -exec gzip '{}' +
1324[wmf-quibble-selenium-php72-docker] $ /bin/bash /tmp/jenkins4700313071763762664.sh
1325+ set -o pipefail
1326++ pwd
1327+ exec docker run --volume /srv/jenkins/workspace/workspace/wmf-quibble-selenium-php72-docker/log:/log --entrypoint=/bin/rm --security-opt seccomp=unconfined --init --rm --label jenkins.job=wmf-quibble-selenium-php72-docker --label jenkins.build=112925 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest -fR /log/rawSeleniumVideoGrabs
1328++ /usr/bin/env
1329++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
1330
1331[PostBuildScript] - [INFO] Executing post build scripts.
1332[wmf-quibble-selenium-php72-docker] $ /bin/bash -xe /tmp/jenkins12750702071557280236.sh
1333+ find log/ -name 'mw-debug-*.log' -exec gzip '{}' +
1334Archiving artifacts
1335[PostBuildScript] - [INFO] Executing post build scripts.
1336[PostBuildScript] - [INFO] Build does not have any of the results [SUCCESS]. Did not execute build step #0.
1337[PostBuildScript] - [INFO] Executing post build scripts.
1338[wmf-quibble-selenium-php72-docker] $ /bin/bash -xe /tmp/jenkins11391379614580598150.sh
1339+ echo 'Clearing /srv/jenkins/workspace/workspace/wmf-quibble-selenium-php72-docker/cache'
1340Clearing /srv/jenkins/workspace/workspace/wmf-quibble-selenium-php72-docker/cache
1341[wmf-quibble-selenium-php72-docker] $ /bin/bash /tmp/jenkins3678136916974713033.sh
1342+ set -o pipefail
1343++ pwd
1344+ exec docker run --volume /srv/jenkins/workspace/workspace/wmf-quibble-selenium-php72-docker/cache:/cache --security-opt seccomp=unconfined --init --rm --label jenkins.job=wmf-quibble-selenium-php72-docker --label jenkins.build=112925 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/castor:0.2.1 clear
1345++ /usr/bin/env
1346++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
1347
1348[PostBuildScript] - [INFO] Executing post build scripts.
1349[wmf-quibble-selenium-php72-docker] $ /bin/bash -xe /tmp/jenkins9856113876858706576.sh
1350+ set -euxo pipefail
1351+ docker ps -q --filter label=jenkins.job=wmf-quibble-selenium-php72-docker --filter label=jenkins.build=112925
1352+ xargs --no-run-if-empty docker stop
1353
1354[PostBuildScript] - [INFO] Executing post build scripts.
1355[wmf-quibble-selenium-php72-docker] $ /bin/bash /tmp/jenkins9199370393674799308.sh
1356+ set -o pipefail
1357+ exec docker run --user=root --volume /srv/jenkins/workspace/workspace/wmf-quibble-selenium-php72-docker:/workspace --entrypoint=/usr/bin/find --security-opt seccomp=unconfined --init --rm --label jenkins.job=wmf-quibble-selenium-php72-docker --label jenkins.build=112925 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest /workspace -mindepth 1 -delete
1358++ /usr/bin/env
1359++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
1360
1361[wmf-quibble-selenium-php72-docker] $ /bin/bash -xe /tmp/jenkins11525093435769824161.sh
1362+ set -u
1363+ rmdir /srv/jenkins/workspace/workspace/wmf-quibble-selenium-php72-docker
1364Finished: FAILURE

Event Timeline

In which repo? All our MW-land repos should be running node12 CI images now. If you actually need node14 not node12, you'll be blocked by the T267890: Upgrade all CI jobs for WMF-deployed projects from Node 12 to Node 14 LTS migration epic, not just the making of some test images. :-(

Change 721476 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/core@master] WIP selenium: webdriverio v7.12.5

https://gerrit.wikimedia.org/r/721476

@Jdforrester-WMF sorry, I've forgotten to link to the commit. It's 721476. It needs node v12, not v14.

Change 721476 abandoned by Zfilipin:

[mediawiki/core@master] WIP selenium: webdriverio v7.12.5

Reason:

Implemented in another commit. Core is already using webdriverio v7.16.13".

https://gerrit.wikimedia.org/r/721476

zeljkofilipin claimed this task.